<?php
/***************************************************************************
 *                             (admin) index.php
 *                            -------------------
 *   begin                : Saturday, Feb 13, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: index.php,v 1.40.2.5 2003/08/03 11:50:51 acydburn Exp $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', 1);

//
// Load default header
//
$no_page_header = TRUE;
$phpbb_root_path = "./../";
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);

// ---------------
// Begin functions
//
function inarray($needle, $haystack)
{
	for($i = 0; $i < sizeof($haystack); $i++ )
	{
		if( $haystack[$i] == $needle )
		{
			return true;
		}
	}
	return false;
}
//
// End functions
// -------------

//
// Generate relevant output
//
if( isset($HTTP_GET_VARS['pane']) && $HTTP_GET_VARS['pane'] == 'left' )
{
	$dir = @opendir(".");

	$setmodules = 1;
	while( $file = @readdir($dir) )
	{
		if( preg_match("/^admin_.*?\." . $phpEx . "$/", $file) )
		{
			include('./' . $file);
		}
	}

	@closedir($dir);

	unset($setmodules);

	include('./page_header_admin.'.$phpEx);

	$template->set_filenames(array(
		"body" => "../../admin/style/index_navigate.tpl")
	);

	$template->assign_vars(array(
		"U_FORUM_INDEX" => append_sid("../index.$phpEx"),
		"U_ADMIN_INDEX" => append_sid("index.$phpEx?pane=right"),

//+MOD: DHTML Menu for ACP
		'COOKIE_NAME'	=> $board_config['cookie_name'],
		'COOKIE_PATH'	=> $board_config['cookie_path'],
		'COOKIE_DOMAIN'	=> $board_config['cookie_domain'],
		'COOKIE_SECURE'	=> $board_config['cookie_secure'],
//-MOD: DHTML Menu for ACP

		"L_FORUM_INDEX" => $lang['Main_index'],
		"L_ADMIN_INDEX" => $lang['Admin_Index'],
		"L_PREVIEW_FORUM" => $lang['Preview_forum'])
	);

	ksort($module);

//+MOD: DHTML Menu for ACP
	$menu_cat_id = 0;
//-MOD: DHTML Menu for ACP

while( list($cat, $action_array) = each($module) )
{
	$cat = ( !empty($lang[$cat]) ) ? $lang[$cat] : preg_replace("/_/", " ", $cat);

	$template->assign_block_vars("catrow", array(
        //+MOD: DHTML Menu for ACP
		'MENU_CAT_ID' => $menu_cat_id,
		'MENU_CAT_ROWS' => count($action_array),
		//-MOD: DHTML Menu for ACP
        "ADMIN_CATEGORY" => $cat)
	);

	ksort($action_array);

	$row_count = 0;
	while( list($action, $file)   = each($action_array) )
	{
		$row_color = ( !($row_count%2) ) ? $theme['td_color1'] : $theme['td_color2'];
		$row_class = ( !($row_count%2) ) ? $theme['td_class1'] : $theme['td_class2'];

		$action = ( !empty($lang[$action]) ) ? $lang[$action] : preg_replace("/_/", " ", $action);

		$template->assign_block_vars("catrow.modulerow", array(
			"ROW_COLOR" => "#" . $row_color,
			"ROW_CLASS" => $row_class,
//+MOD: DHTML Menu for ACP
			'ROW_COUNT' => $row_count,
//-MOD: DHTML Menu for ACP
			"ADMIN_MODULE" => $action,
			"U_ADMIN_MODULE" => append_sid($file))
		);
		$row_count++;
//+MOD: DHTML Menu for ACP
		$menu_cat_id++;
//-MOD: DHTML Menu for ACP
	}
}
	$template->pparse("body");

	include('./page_footer_admin.'.$phpEx);
}
elseif( isset($HTTP_GET_VARS['pane']) && $HTTP_GET_VARS['pane'] == 'right' )
{

	include('./page_header_admin.'.$phpEx);

	$template->set_filenames(array(
		"body" => "../../admin/style/index_body.tpl")
	);

	$template->assign_vars(array(
		"U_ACCOUNT_STATUS" => append_sid("admin_account.$phpEx"),
		"U_BEFUGNISSE" => append_sid("admin_ug_auth.$phpEx?mode=user"),
		"U_BENUTZERPROFILE" => append_sid("admin_users.$phpEx"),
		"U_BANNEN_UND_SPERREN" => append_sid("admin_user_ban.$phpEx"),
		"U_BENUTZERGRUPPEN" => append_sid("admin_groups.$phpEx"),
		"U_ALLGEMEINE_KONFIGURATION" => append_sid("admin_board.$phpEx"),
		"U_FOREN_VERWALTEN" => append_sid("admin_forums.$phpEx"),
		"U_ATTACHMENTS" => append_sid("admin_attach_cp.$phpEx"),
		"U_PRUNING" => append_sid("admin_forum_prune.$phpEx"),
		"U_STATISTIKEN" => append_sid("admin_statistics.$phpEx?mode=manage"),
		"U_PORTAL_KONFIGURATION" => append_sid("admin_portal.$phpEx?mode=config"),
		"U_NACHRICHTENKATEGORIEN" => append_sid("admin_news_cats.$phpEx"),
		"U_NEWS_EINSTELLUNGEN" => append_sid("admin_news.$phpEx"),
		"U_Q_LINKS" => append_sid("admin_q_links.$phpEx"),
		"U_KNOWLEDGE_BASE_KATEGORIEN" => append_sid("admin_kb_cat.$phpEx"),
		"U_KB_TYPEN" => append_sid("admin_kb_types.$phpEx"),
		"U_KB_KONFIG" => append_sid("admin_kb_art.$phpEx"),
		"U_KB_EINSTELLUNGEN" => append_sid("admin_kb_config.$phpEx?mode=config"),
		"U_KALENDER" => append_sid("admin_calendar.$phpEx"),
		"PHPBB_VERSION_C" => ($userdata['user_level'] == ADMIN && $userdata['user_id'] != ANONYMOUS) ? '2' . $board_config['version'] : '',
        "ORION_VERSION_C" => ($userdata['user_level'] == ADMIN && $userdata['user_id'] != ANONYMOUS) ? $board_config['orionver'] : '',

		"L_WELCOME" => $lang['Welcome_phpBB'],
		"L_ADMIN_INTRO" => $lang['Admin_intro'],
		"L_FORUM_STATS" => $lang['Forum_stats'],
		"L_WHO_IS_ONLINE" => $lang['Who_is_Online'],
		"L_USERNAME" => $lang['Username'],
		"L_LOCATION" => $lang['Location'],
		"L_LAST_UPDATE" => $lang['Last_updated'],
		"L_IP_ADDRESS" => $lang['IP_Address'],
		"L_STATISTIC" => $lang['Statistic'],
		"L_VALUE" => $lang['Value'],
		"L_NUMBER_POSTS" => $lang['Number_posts'],
		"L_POSTS_PER_DAY" => $lang['Posts_per_day'],
		"L_NUMBER_TOPICS" => $lang['Number_topics'],
		"L_TOPICS_PER_DAY" => $lang['Topics_per_day'],
		"L_NUMBER_USERS" => $lang['Number_users'],
		"L_USERS_PER_DAY" => $lang['Users_per_day'],
		"L_BOARD_STARTED" => $lang['Board_started'],
		"L_AVATAR_DIR_SIZE" => $lang['Avatar_dir_size'],
		"L_DB_SIZE" => $lang['Database_size'],
		"L_FORUM_LOCATION" => $lang['Forum_Location'],
		"L_STARTED" => $lang['Login'],
		"L_O_USER" => $lang['o_user'],
		"L_O_FORUM" => $lang['o_forum'],
		"L_O_PORTAL" => $lang['o_portal'],
		"L_O_FEATURES" => $lang['o_features'],
		"L_ACCOUNT_STATUS" => $lang['o_accountstatus'],
		"L_BEFUGNISSE" => $lang['o_befungsisse'],
		"L_BENUTZERPROFILE" => $lang['o_benutzerprofile'],
		"L_BANNEN_UND_SPERREN" => $lang['o_bannenundsperren'],
		"L_BENUTZERGRUPPEN" => $lang['o_benutzergruppen'],
		"L_ALLGEMEINE_KONFIGURATION" => $lang['o_allgemeinekonfiguration'],
		"L_FOREN_VERWALTEN" => $lang['o_forenverwalten'],
		"L_ATTACHMENTS" => $lang['o_attachments'],
		"L_PRUNING" => $lang['o_pruning'],
		"L_STATISTIKEN" => $lang['o_statistiken'],
		"L_PORTAL_KONFIGURATION" => $lang['o_portalkonfiguration'],
		"L_NACHRICHTENKATEGORIEN" => $lang['o_nachrichtenkategorien'],
		"L_NEWS_EINSTELLUNGEN" => $lang['o_newseinstellungen'],
		"L_Q_LINKS" => $lang['o_qlinks'],
		"L_KNOWLEDGE_BASE_KATEGORIEN" => $lang['o_knowledgebasekategorien'],
		"L_KB_TYPEN" => $lang['o_kbtypen'],
		"L_KB_KONFIG" => $lang['o_kbkonfig'],
		"L_KB_EINSTELLUNGEN" => $lang['o_kbeinstellungen'],
		"L_KALENDER" => $lang['o_kalender'],
		"L_GZIP_COMPRESSION" => $lang['Gzip_compression'])
	);


	$template->pparse("body");

	include('./page_footer_admin.'.$phpEx);

}
else
{
	//
	// Generate frameset
	//
	$template->set_filenames(array(
		"body" => "../../admin/style/index_frameset.tpl")
	);

	$template->assign_vars(array(
		"S_FRAME_NAV" => append_sid("index.$phpEx?pane=left"),
		"S_ORIONHEAD" => append_sid("orionheadacp.php"),
		"S_FRAME_MAIN" => append_sid("index.$phpEx?pane=right"))
	);

	header ("Expires: " . gmdate("D, d M Y H:i:s", time()) . " GMT");
	header ("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");

	$template->pparse("body");

	$db->sql_close();
	exit;

}

?>