<?php
/***************************************************************************
 *                             Impressum von AWSW
 *                          ------------------------
 *   Version              : Version 1.10 - 02.07.2003
 *   copyright            : (C) 2003 AWSW
 *   URL                  : http://www.awsw.de
 *   email			  : awsw@awsw.de
 *
 *   $Id: impressum.php,v 1.10 2003/07/02 AWSW Exp $
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', true);

$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

$userdata = session_pagestart($user_ip, PAGE_IMPRESSUM);
init_userprefs($userdata);

// Load the appropriate impressum language file START
if( isset($HTTP_GET_VARS['mode']) )
{
	switch( $HTTP_GET_VARS['mode'] )
	{
		      default:
			$lang_file = 'lang_impressum';
			$l_title = $lang['impressum'];
			break;
	}
}
else
{
	$lang_file = 'lang_impressum';
	$l_title = $lang['impressum'];
}
include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/' . $lang_file . '.' . $phpEx);
// Load the appropriate impressum language file ENDE


// Restrict to members:
//if( !$userdata['session_logged_in'] )
//{
//   header("Location: " . append_sid("login.$phpEx?redirect=impressum.$phpEx", true));
//   exit;
//}


$sql = "SELECT *
	FROM " . ORION_SET_TABLE;
if( !($result = $db->sql_query($sql)) )
{
	message_die(CRITICAL_ERROR, "Could not query impressum information", "", __LINE__, __FILE__, $sql);
}

while ( $row = $db->sql_fetchrow($result) )
{
	$o_impressum[$row['config']] = $row['content'];
}


include($phpbb_root_path . 'includes/page_header.'.$phpEx);

$template->assign_vars(array(
'Impressumtext1' => $lang['Impressumtext1'],
'Impressumtext2' => $lang['Impressumtext2'],
'Impressumtext3' => $lang['Impressumtext3'],
'Impressumtext4' => $lang['Impressumtext4'],
'Impressumtext5' => $o_impressum['name'],
'Impressumtext6' => $o_impressum['strasse'],
'Impressumtext7' => $o_impressum['ort'],
'Impressumtext8' => $o_impressum['land'],
'Impressumtext9' => $lang['Impressumtext9'],
'Impressumtext10' => '<b>' . $lang['Impressumtext10'] . '</b> ' . $o_impressum['tel'],
'Impressumtext11' => '<b>' . $lang['Impressumtext11'] . '</b> ' . $o_impressum['fax'],
'Impressumtext12' => '<b>' . $lang['Impressumtext12'] . '</b> <a href="mailto:' . $o_impressum['mail'] . '" target="_blank">' . $o_impressum['mail'] . '</a>',
'Impressumtext13' => '<b>' . $lang['Impressumtext13'] . '</b><br><br>' . $o_impressum['discl'],
'Impressumtext14' => $lang['Impressumtext14'],
'Impressumtext15' => $lang['Impressumtext15'],
'Impressumtext16' => $lang['Impressumtext16'])
);

$template->set_filenames(array(
'body' => 'impressum_body.tpl')
);

$template->pparse('body');

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);
?>