<?php
/***************************************************************************
 * lang_bbc_box.php [German]
 * --------------------------
 * begin	: Wednesday, June 08, 2005
 * copyright	: reddog - http://www.reddevboard.com/
 * version	: 1.0.7 - 09/09/2005
 *
 * Translation: CBACK (Christian Knerr) http://www.cback.de
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

//
// bbc box settings (acp)
//

//main
$lang['bbc_settings_title'] = 'Orion BBCode System - Konfiguration';
$lang['bbc_settings_explain'] = 'Hiermit kannst Du den BBCode Cache verndern und andere Einstellungen anpassen.';
$lang['bbc_settings_adjust'] = 'Einstellungen';
$lang['bbc_settings_cache'] = 'Cache';

// regen
$lang['bbc_box_cache'] = 'BBcode Tabellen Cache';
$lang['bbc_last_regen'] = 'Letzte regenerierung';
$lang['bbc_today_at'] = 'heute um %s';
$lang['bbc_yesterday_at'] = 'gestern um %s';

// bbc per row
$lang['bbc_per_row'] = 'BBCodes pro Reihe';
$lang['bbc_per_row_explain'] = 'Hier kannst Du einstellen, wieviele Buttons pro Reihe im Editor angezeigt werden.';

// mode selection (beginner or advanced)
$lang['bbc_mode_select'] = 'Whle den Modus';
$lang['bbc_mode_select_explain'] = 'Du kannst whlen zwischen <span style="color:darkred"><strong>erweitertem</strong></span> Modus mit weiteren Mglichkeiten und dem <span style="color:green"><strong>einfachen</strong></span> Modus, welcher sich ideal eignet keine schlimmen Fehler zu machen ;).';
$lang['bbc_advanced'] = '<span style="color:darkred"><strong>erweitert</strong></span>';
$lang['bbc_beginner'] = '<span style="color:green"><strong>einfach</strong></span>';

// switch on/off (buttons)
$lang['bbc_switch_select'] = 'Zeige die BBCode Buttons bei Postings';
$lang['bbc_switch_select_explain'] = 'Dies deaktiviert die moderne BBCode Ansicht und zeigt lediglich einfache Standardbuttons. Um einen BBCode zu deaktivieren benutze bitte die BBCode Verwaltung.';

// skin selection
$lang['Select_skin'] = 'Skin auswhlen';
$lang['Skin_preview'] = 'Vorschau';

// actions
$lang['bbc_regen'] = 'Cache regenerieren';
$lang['bbc_settings_updated'] = 'BBCode System aktualisiert.';
$lang['bbc_cache_updated'] = 'BBCode Tabelle zwischengespeichert.';
$lang['bbc_click_return_settings'] = 'Klicke %shier%s um zu den Orion BBCode Einstellungen zurckzukehren.';

//
// bbc box manage (acp)
//

//main
$lang['bbc_manage_title'] = 'Orion BBCode System - Verwaltung';
$lang['bbc_manage_explain'] = 'Hier kannst Du BBCodes verwalten, hinzufgen oder lschen. Jeder neue BBCode braucht den Parsercode in der <span style="color:darkred"><em>bbcode.php</em></span> (und manchmal auch in der <span style="color:darkred"><em>bbcode.tpl</em></span>), sowie einen Schlssel <span style="color:darkblue">$lang[\'bbcbxr_help\'][\'helpline\']</span> und schlielich die Sprache <span style="color:darkblue">$lang[\'bbcbxr_desc\'][\'helpline\']</span> in der <span style="color:darkred"><em>lang_bbc_box.php</em></span>.';
$lang['bbc_edit_title'] = 'Orion BBCode System - BBcode %s Edition';
$lang['bbc_edit_explain'] = 'Hier kannst Du die Felder des ausgewhlten BBCodes ndern. <span style="color:darkred"><strong>WARNUNG!</strong></span> Ein Feld besteht nur aus <span style="color:green"><strong>einem Wort oder Buchstaben</strong></span>, ohne <span style="color:darkred"><strong>Sonderzeichen</strong></span>, oder einem <span style="color:darkred"><strong>Leerzeichen</strong></span> oder <span style="color:darkred"><strong>Grobuchstaben</strong></span>.';
$lang['bbc_edit_rules'] = '<strong>Open und Close Tag:</strong> <span style="color:darkred"><strong>Bitte nicht</strong></span> die Parameter davor verndern (z.B: width, height) und nach Dingen wie down, left, right ein gleichheitszeichen (=), diese sind definiert in der <span style="color:darkred"><em>bbcode.php</em></span>';
$lang['bbc_add_title'] = 'Orion BBCode System - Neuen BBCode einfgen';
$lang['bbc_add_explain'] = 'Hier knnen neue BBCode Felder definiert werden. <span style="color:darkred"><strong>ACHTUNG!</strong></span> Ein Feld besteht nur aus einem <span style="color:green"><strong>Wort oder Buchstaben!</strong></span> Alle <span style="color:darkred"><strong>Sonderzeichen</strong></span>, <span style="color:darkred"><strong>Leerzeichen</strong></span> oder <span style="color:darkred"><strong>Grobuchstaben</strong></span> werden nicht akzeptiert. Ein BBCode Bild muss in den Style Ordner der BBCode Box hochgeladen werden (normalerweise unter: <em>templates/bbc_box/styles/default/</em>).';
$lang['bbc_add_rules'] = 'Das erste Feld ist <span style="color:darkred"><strong>wichtig</strong></span>, es wird benutzt die Stelle der <span style="color:darkred"><em>bbcode.php</em></span> zu identifizieren. Variablen knnen genutzt werden, wenn sie in der selben Datei definiert wurden (z.B: <em>tag=</em><strong>center</strong> oder <em>tag</em> <strong>width</strong><em>=100</em>). Einen BBCode hier hinzufgen reicht nicht aus, da jeder BBCode nochmal seinen Parsercode in der <span style="color:darkred"><em>bbcode.php</em></span> (und manchmal auch in der <span style="color:darkred"><em>bbcode.tpl</em></span>) bentigt.';

// fields
$lang['bbc_name'] = 'BBCode';
$lang['bbc_name_explain'] = '<span style="color:darkred"><strong>WICHTIG</strong></span> Variable fr den BBCode ohne Sonderzeichen oder Leerzeichen!';
$lang['bbc_img_display'] = 'Button';
$lang['bbc_before'] = 'Start Tag';
$lang['bbc_before_explain'] = 'Variable fr den Start Tag des BBCodes ohne die Klammern.';
$lang['bbc_before_edit_explain'] = 'Was wird [%s] als Start Tag im Forum definiert.';
$lang['bbc_after'] = 'End Tag';
$lang['bbc_after_explain'] = 'Variable fr den End Tag des BBCodes ohne Klammern oder Slash.';
$lang['bbc_after_edit_explain'] = 'Was wird [%s] als End Tag im Forum definiert.';
$lang['bbc_helpline'] = 'Hilfe';
$lang['bbc_helpline_explain'] = 'Sprachvariable fr die Hilfe wenn die Maus ber den BBCode Button gehalten wird.';
$lang['bbc_img'] = 'Bild';
$lang['bbc_img_explain'] = 'Variablenname fr das BBCode Bild, definiert unter $images[].';
$lang['bbc_divider'] = 'Abstand';
$lang['bbc_divider_explain'] = 'Soll eine Leerzeile vor dem neuen BBCode Button eingefgt werden?';

// actions
$lang['Edit'] = 'Bearbeiten';
$lang['Delete'] = 'Lschen';
$lang['Add_new_bbc'] = 'Neuen BBCode hinzufgen';
$lang['bbc_must_select'] = 'Bitte BBCode auswhlen';
$lang['bbc_must_fill'] = 'Bitte flle alle Felder aus';
$lang['bbc_updated'] = 'BBCode erfolgreich bearbeitet';
$lang['bbc_added'] = 'BBCode erfolgreich eingefgt';
$lang['bbc_removed'] = 'BBCode erfolgreich gelscht';
$lang['bbc_click_return_manage'] = 'Klicke %shier%s um zum BBCode Manager zurckzukehren.';

//
// bbc box list (acp)
//

// main
$lang['bbc_box_title'] = 'Orion BBCode System';
$lang['bbc_box_explain'] = 'Hier kannst Du die im Board verfgbaren BBCodes aktivieren und deaktivieren sowie individuelle Berechtigungen fr jeden BBCode setzen.';
$lang['bbc_box_list'] = 'BBcode Liste';

// actions
$lang['Enable_all'] = 'Alle aktivieren';
$lang['Disable_all'] = 'Alle deaktivieren';
$lang['Button_switch'] = 'Gewhlten Button aktivieren oder deaktivieren';
$lang['bbc_act_mode'] = 'Aktivieren/Deaktivieren Modus';
$lang['bbc_perms_mode'] = 'Berechtigungen fr BBCodes';
$lang['bbc_go_to'] = 'gehe zu %s';
$lang['bbc_box_updated'] = 'BBCode System aktualisiert';
$lang['bbc_box_return'] = 'Klicke %shier%s um zur BBCode Administration zurckzukehren';

//
// bbc box (board)
//

// main
$lang['Font_size'] = 'Textgre';
$lang['Font_type'] = 'Textstil';
$lang['Font_color'] = 'Schriftfarbe';
$lang['Type_default'] = 'Standard';
$lang['Close_Tags'] = 'Tags schlieen';
$lang['Styles_tip'] = 'Tipp: BBCodes knnen nachtrglich an markiertem Text eingefgt werden.';

// generic help
$lang['bbcbxr_e_help'] = 'List: Liste einfgen';
$lang['bbcode_a_help'] = 'Alle geffneten BBCodes schlieen';
$lang['bbcode_s_help'] = 'Schriftfarbe: [color=red]Text[/color]  Tipp: Du kannst auch diesen Code benutzen: color=#FF0000';
$lang['bbcode_f_help'] = 'Schriftgre: [size=x-small]Text[/size]';
$lang['bbcbxr_t_help'] = 'Schrifttyp: [font=Verdana]Text[/font]';
$lang['bbcbxr_bs_help'] = 'Hintergrundfarbe: [bcolor=red]Text[/bcolor] Tipp: Du kannst auch Farbcodes nutzen mit color=#FF0000';

// default
$lang['bbcbxr_help']['bold'] = 'Fett: [b]Text[/b]';
$lang['bbcbxr_help']['italic'] = 'Kursiv: [i]Text[/i]';
$lang['bbcbxr_help']['underline'] = 'Unterstrichen: [u]Text[/u]';
$lang['bbcbxr_help']['quote'] = 'Zitat: [quote]Text[/quote]';
$lang['bbcbxr_help']['code'] = 'Quellcode: [code]Code[/code]';
$lang['bbcbxr_help']['ulist'] = 'Liste: [list]Text[/list]';
$lang['bbcbxr_help']['olist'] = 'Geordnete Liste: [list=]Text[/list]';
$lang['bbcbxr_help']['picture'] = 'Bild einfgen: [img]http://image_url[/img]';
$lang['bbcbxr_help']['www'] = 'Link einfgen: [url]http://url[/url] oder [url=http://url]URL Text[/url]';

// bbcode box
$lang['bbcbxr_help']['strike'] = 'Durchgestrichener text: [%s]Text[/%s]';
$lang['bbcbxr_help']['spoiler'] = 'Spoiler: [%s]Text[/%s]';
$lang['bbcbxr_help']['fade'] = 'Fade: [%s]Text[/%s] oder [img]http://image_url/[/img]';
$lang['bbcbxr_help']['rainbow'] = 'Regenbogentext: [%s]Text[/%s]';
$lang['bbcbxr_help']['justify'] = 'Blocksatz: [%s]Text[/%s]';
$lang['bbcbxr_help']['right'] = 'Rechts ausgerichtet: [%s]Text[/%s]';
$lang['bbcbxr_help']['center'] = 'Zentriert ausgerichtet: [%s]Text[/%s]';
$lang['bbcbxr_help']['left'] = 'Links ausgerichtet (standard): [%s]Text[/%s]';
$lang['bbcbxr_help']['link'] = 'Anker einfgen (Textmarke): [%starget_name]Text[/%s]';
$lang['bbcbxr_help']['target'] = 'Ankerlink einfgen: [%starget_name]Text[/%s]';
$lang['bbcbxr_help']['marqd'] = 'Abwrts scrollender Text: [%s]Text[/%s]';
$lang['bbcbxr_help']['marqu'] = 'Aufwrts scrollender Text: [%s]Text[/%s]';
$lang['bbcbxr_help']['marql'] = 'Nach Links scrollender Text: [%s]Text[/%s]';
$lang['bbcbxr_help']['marqr'] = 'Nach Rechts scrollender Text: [%s]Text[/%s]';
$lang['bbcbxr_help']['email'] = 'EMail Adresse einfgen: [%s]EMail[/%s]';
$lang['bbcbxr_help']['flash'] = 'Flashdatei einbinden: [%s]Flash URL[/%s]';
$lang['bbcbxr_help']['video'] = 'Video einbinden: [%s]Datei URL[/%s]';
$lang['bbcbxr_help']['stream'] = 'Audiodatei einfgen: [%s]Datei URL[/%s]';
$lang['bbcbxr_help']['real'] = 'RealMedia Datei einfgen: [%s]Datei URL[/%s]';
$lang['bbcbxr_help']['quick'] = 'Quicktime Video  [%s]http://quicktime_video_url/[/%s]';
$lang['bbcbxr_help']['sup'] = 'Hochgestellt: [%s]Text[/%s]';
$lang['bbcbxr_help']['sub'] = 'Tiefgestellt: [%s]Text[/%s]';
// undefined
$lang['bbcbxr_help_none'] = 'BBCode Verwendung: [%s]Text[/%s]';

// font size
$lang['font_tiny'] = 'Sehr klein';
$lang['font_small'] = 'Klein';
$lang['font_normal'] = 'Normal';
$lang['font_large'] = 'Gro';
$lang['font_huge'] = 'Sehr gro';

// font type
$lang['type_arial'] = 'Arial';
$lang['type_comicsansms'] = 'Comic Sans MS';
$lang['type_couriernew'] = 'Courier New';
$lang['type_georgia'] = 'Georgia';
$lang['type_lucidaconsole'] = 'Lucida Console';
$lang['type_microsoft'] = 'Microsoft Sans Serif';
$lang['type_tahoma'] = 'Tahoma';
$lang['type_timesnewroman'] = 'Times New Roman';
$lang['type_trebuchet'] = 'Trebuchet MS';
$lang['type_verdana'] = 'Verdana';

// tools bar
$lang['bbcbxr_swc_help'] = 'Schriftfarben-Modus auf Hintergrundfarben Modus umschalten.';
$lang['bbcbxr_hr_help'] = 'Horizontale Linie einfgen';
$lang['bbcbxr_chr_help'] = 'Sonderzeichen einfgen';

// charmap popup
$lang['charmap_page'] = 'Sonderzeichen';
$lang['charmap_title'] = 'Bitte whle ein Sonderzeichen';

// description
$lang['bbcbxr_desc']['strike'] = 'Durchgestrichener Text';
$lang['bbcbxr_desc']['spoiler'] = 'Spoiler';
$lang['bbcbxr_desc']['fade'] = 'Fade';
$lang['bbcbxr_desc']['rainbow'] = 'Regenbogen Text';
$lang['bbcbxr_desc']['justify'] = 'Blocksatz';
$lang['bbcbxr_desc']['right'] = 'Rechtsbndig';
$lang['bbcbxr_desc']['center'] = 'Zentriert';
$lang['bbcbxr_desc']['left'] = 'Linksbndig';
$lang['bbcbxr_desc']['link'] = 'Anker';
$lang['bbcbxr_desc']['target'] = 'Anker Link';
$lang['bbcbxr_desc']['marqd'] = 'Marquee abwrts';
$lang['bbcbxr_desc']['marqu'] = 'Marquee aufwrts';
$lang['bbcbxr_desc']['marql'] = 'Marquee links';
$lang['bbcbxr_desc']['marqr'] = 'Marquee rechts';
$lang['bbcbxr_desc']['email'] = 'EMail';
$lang['bbcbxr_desc']['flash'] = 'Flash Datei';
$lang['bbcbxr_desc']['video'] = 'Video Datei';
$lang['bbcbxr_desc']['stream'] = 'Stream';
$lang['bbcbxr_desc']['real'] = 'Real Media Datei';
$lang['bbcbxr_desc']['quick'] = 'Quicktime Video';
$lang['bbcbxr_desc']['sup'] = 'Hochgestellt';
$lang['bbcbxr_desc']['sub'] = 'Tiefgestellt';
$lang['bbcbxr_desc']['php'] = 'PHP Code einfgen';

// addons
// add keys $lang[] from addons below this line

// thumbnail
$lang['bbcbxr_help']['tmb'] = 'Vorschaubild: [tmb]http://image_url[/tmb]';
$lang['bbcbxr_desc']['tmb'] = 'Vorschaubild';

// Added in Orion 2.0.5 (BBCode Box 1.2.2)
$lang['bbc_click_return'] = 'Klicke %shier%s um zur vorherigen Seite zurckzukehren.';
$lang['bbc_move_after'] = 'BBCode schieben nach';
$lang['bbc_top'] = '___OBEN___';

//
// That's all Folks!
// -------------------------------------------------

?>