<?php
/***************************************************************************
 *                                 lang_main.php
 *                            -------------------
 *   begin                : Sunday, Mar 31, 2003
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: lang_main.php,v 1.1 2005/04/12 19:30:56 jonohlsson Exp $
 *
 *   German Translation by CBACK (Christian Knerr) http://www.cback.de (Part 1)
 *                         Madman-Maniac http://www.madman-maniac.de   (Part 2)
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

$lang['KB_title'] = 'Knowledge Base';
$lang['Article'] = 'Artikel';
$lang['Category'] = 'Kategorie';
$lang['Article_description'] = 'Beschreibung';
$lang['Article_type'] = 'Typ';
$lang['Article_keywords'] = 'Schlsselwrter';
$lang['Articles'] = 'Artikel';
$lang['Add_article'] = 'Artikel hinzufgen';
$lang['Click_cat_to_add'] = 'Klicke auf eine Kategorie um einen Artikel hinzuzufgen';
$lang['KB_Home'] = 'KB Home';
$lang['No_articles'] = 'Keine Artikel';
$lang['Article_title'] = 'Artikelname';
$lang['Article_text'] = 'Artikeltext';
$lang['Add_article'] = 'Artikel schreiben';
$lang['Read_article'] = 'Artikel lesen';
$lang['Article_not_exsist'] = 'Der Artikel ist nicht vorhanden';
$lang['Category_not_exsist'] = 'Die gewhlte Kategorie existiert nicht';

$lang['Edit'] = 'Bearbeiten';
$lang['kb_add_btn'] = 'Hinzufgen';

$lang['Article_submitted_Approve'] = 'Artikel erfolgreich eingetragen.<br />Der Artikel wird demnchst von einem Administrator geprft und danach freigeschaltet.';
$lang['Article_submitted'] = 'Artikel erfolgreich eingetragen.';
$lang['Click_return_kb'] = 'Klicke %shier%s um zurck zum ' . $lang['KB_title'] . ' zu gelangen.';
$lang['Click_return_article'] = 'Klicke %shier%s um zurck zum ' . $lang['Article'] . ' zu gelangen.';

$lang['Article_Edited_Approve'] = 'Artikel erfolgreich gendert.<br />Er wird geprft bevor er verffentlicht wird.';
$lang['Article_Edited'] = 'Artikel erfolgreich bearbeitet.';
$lang['Edit_article'] = 'Artikel bearbeiten';

$lang['KB_title'] = 'Knowledge Base';
$lang['KB_art_description'] = 'Hier knnen Artikel freigeschaltet oder gelscht werden.';
$lang['Art_man'] = 'Artikel Manager';
$lang['Cat_man'] = 'Kategorie Manager';
$lang['KB_cat_description'] = 'Hier kannst Du die Kategorien der Knowledge Base hinzufgen, bearbeiten oder lschen.';
$lang['Art_action'] = 'Aktion';

//approve
$lang['Art_edit'] = 'Neue Artikel im System';
$lang['Art_not_approved'] = 'Nicht freigeschaltet';
$lang['Art_approved'] = 'Freigeschaltet';
$lang['Approve'] = 'Freischalten';
$lang['Un_approve'] = 'Sperren';
$lang['Article_approved'] = 'Artikel ist nun freigeschaltet.';
$lang['Article_unapproved'] = 'Artikel ist nun gesperrt.';

//delete
$lang['Delete'] = 'Lschen';
$lang['Confirm_art_delete'] = 'Mchtest Du diesen Artikel wirklich lschen?';
$lang['Confirm_art_delete_yes'] = '%sJa, ich mchte den Artikel lschen%s';
$lang['Confirm_art_delete_no'] = '%sNein, ich mchte den Artikel nicht lschen%s';
$lang['Article_deleted'] = 'Artikel erfolgreich gelscht.';

$lang['Click_return_article_manager'] = 'Klicke %shier%s um zum Artikel Manager zurckzukehren.';

//cat manager
$lang['Create_cat'] = 'Neue Kategorie:';
$lang['Create'] = 'Erstellen';
$lang['Cat_settings'] = 'Kategorieeinstellungen';
$lang['Create_description'] = 'Hier kannst Du den Namen einer Kategorie oder die Beschreibung verndern.';
$lang['Cat_created'] = 'Kategorie erfolgreich erstellt.';
$lang['Click_return_cat_manager'] = 'Klicke %shier%s um zurck zum ' . $lang['Cat_man'] . ' zu kommen.';
$lang['Edit_description'] = 'Hier knnen die Einstellungen der Kategorie verndert werden.';
$lang['Edit_cat'] = 'Kategorie bearbeiten';
$lang['Cat_edited'] = 'Kategorie erfolgreich bearbeitet.';
$lang['Parent'] = 'Vorherige';

$lang['Cat_delete_title'] = 'Kategorie lschen';
$lang['Cat_delete_desc'] = 'Hier kannst Du eine Kategorie lschen und die darin enthaltenen Artikel in eine andere Kategorie verschieben.';
$lang['Cat_deleted'] = 'Kategorie erfolgreich gelscht.';
$lang['Delete_all_articles'] = 'Artikel lschen';

//configuration
$lang['KB_config'] = 'KB Konfiguration';
$lang['Art_types'] = 'Artikeltypen';
$lang['KB_config_title'] = 'Knowledge Base Konfiguration';
$lang['KB_config_explain'] = 'ndert die Konfiguration der CBACK Orion Knowledge Base';
$lang['New_title'] = 'Neue Artikel erlauben';
$lang['New_explain'] = 'Erlaubt Deinen Benutzern neue Artikel fr die Knowledge Base zu verfassen.';
$lang['Edit_name'] = 'Editieren erlauben';
$lang['Edit_explain'] = 'Erlaubt Benutzern ihre Artikel nach dem verffentlichen zu bearbeiten.';
$lang['Notify_name'] = 'Benachrichtige mich per';
$lang['Notify_explain'] = 'Whle die Methode wie Du ber neue Artikel informiert werden mchtest';
$lang['PM'] = 'PM';
$lang['Click_return_kb_config'] = 'Klicke %shier%s um zurck zur Knowledge Base Konfiguration zu gelangen';
$lang['Admin_id_name'] = 'Admin ID';
$lang['Admin_id_explain'] = 'Die User ID an die PMs geschickt werden.';
$lang['Approve_new_name'] = 'Neue Artikel freischalten';
$lang['Approve_new_explain'] = 'Stelle ein, ob <b />neue</b /> Artikel freigeschaltet werden mssen oder nicht.';
$lang['Approve_edit_name'] = 'Genderte Artikel freischalten';
$lang['Approve_edit_explain'] = 'Stelle ein, ob <b />bearbeitete</b /> Artikel freigeschaltet werden mssen, oder nicht.';
$lang['Allow_anon_name'] = 'Erlaube Gsten Artikel zu schreiben';
$lang['Allow_anon_explain'] = 'Stelle hier ein, ob <b />neue</b /> Artikel anonym eingesendet werden drfen (nicht empfohlen).';
$lang['Del_topic'] = 'Topic lschen';
$lang['Del_topic_explain'] = 'Wenn ein Artikel gelscht wurde, soll das Kommentar-Topic im Forum dann auch gelscht werden?';

$lang['Use_comments'] = 'Kommentare';
$lang['Use_comments_explain'] = 'Erlaube Kommentare zu einem Artikel die im Forum geschrieben werden.';
$lang['Use_ratings'] = 'Bewertungen';
$lang['Use_ratings_explain'] = 'Erlaube die Bewertungen von Artikel';

$lang['Forum_id'] = 'Foren ID';
$lang['Forum_id_explain'] = 'Die Foren ID wo Artikelkommentare gespeichert werden knnen.';


//
// Permissions
//
$lang['KB_Auth_Title'] = 'KB Befugnisse';
$lang['KB_Auth_Explain'] = 'Hier kannst Du einstellen welche Benutzergruppe(n) KB Moderatoren sind oder Privatzugang haben.';
$lang['Select_a_Category'] = 'Kategorie whlen';
$lang['Look_up_Category'] = 'Kategorie suchen';
$lang['KB_Auth_successfully'] = 'Berechtigungen erfolgreich verndert';
$lang['Click_return_KB_auth'] = 'Klicke %shier%s um zu den KB Befugnissen zurckzukehren.';

$lang['Upload'] = 'Upload';
$lang['Rate'] = 'Bewertung';
$lang['Comment'] = 'Kommentar';
$lang['Approval'] = 'Freischalten';
$lang['Approval_edit'] = 'Edit Freischalten';

$lang['Allow_rating'] = 'Bewertungen erlauben';
$lang['Allow_rating_explain'] = 'Benutzer wird erlaubt, Artikel zu bewerten.';

$lang['Allow_anonymos_rating'] = 'Anonyme Bewertungen erlauben';
$lang['Allow_anonymos_rating_explain'] = 'Wenn die Bewertungsfunktion aktiviert ist, kannst Du hier einstellen, ob Gste ebenfalls bewerten knnen.';

$lang['KB_config_updated'] = 'Knowledge Base Konfiguration erfolgreich gespeichert.';

$lang['KB_notify_subject_new'] = 'Neuer Artikel!';
$lang['KB_notify_subject_edited'] = 'Editierter Artikel!';
$lang['KB_notify_subject_approved'] = 'Freigeschalteter Artikel!';
$lang['KB_notify_subject_unapproved'] = 'Nicht freigeschalteter Artikel!';
$lang['KB_notify_body'] = 'Ein Artikel wurde hinzugefgt oder verndert:';

$lang['Category_Permissions'] = 'Kategorie-Einstellungen';
$lang['Category_Title'] = 'Kategorie Titel';
$lang['Category_Desc'] = 'Kategorie Beschreibung';
$lang['View_level'] = 'Sichtbar';
$lang['Upload_level'] = 'Upload';
$lang['Rate_level'] = 'Bewertungen';
$lang['Comment_level'] = 'Kommentare';
$lang['Edit_level'] = ' Bearbeiten';
$lang['Delete_level'] = 'Lschen';
$lang['Approval_level'] = 'Freischalten';
$lang['Approval_edit_level'] = 'Bearbeitungsfreischaltung';

$lang['KB_Rules_post_can'] = 'Du <b>darfst</b> neue Artikel in dieser Kategorie posten';
$lang['KB_Rules_post_cannot'] = 'Du <b>darfst keine</b> neuen Artikel in dieser Kategorie posten';
$lang['KB_Rules_comment_can'] = 'Du <b>darfst</b> Artikel in dieser Kategorie kommentieren';
$lang['KB_Rules_comment_cannot'] = 'Du <b>darfst keine</b> Artikel in dieser Kategorie kommentieren';
$lang['KB_Rules_edit_can'] = 'Du <b>darfst</b> Artikel in dieser Kategorie bearbeiten';
$lang['KB_Rules_edit_cannot'] = 'Du <b>darfst keine</b> Artikel in dieser Kategorie bearbeiten';
$lang['KB_Rules_delete_can'] = 'Du <b>darfst</b> Artikel in dieser Kategorie lschen';
$lang['KB_Rules_delete_cannot'] = 'Du <b>darfst keine</b> Artikel in dieser Kategorie lschen';
$lang['KB_Rules_rate_can'] = 'Du <b>darfst</b> Artikel in dieser Kategorie bewerten.';
$lang['KB_Rules_rate_cannot'] = 'Du <b>darfst keine</b> Artikel in dieser Kategorie bewerten';
$lang['KB_Rules_approval_can'] = 'Artikel <b>brauchen keine</b> Freischaltung';
$lang['KB_Rules_approval_cannot'] = 'Artikel <b>brauchen</b> eine Freischaltung';
$lang['KB_Rules_approval_edit_can'] = 'Bearbeitete Artikel <b>brauchen keine</b> Freischaltung';
$lang['KB_Rules_approval_edit_cannot'] = 'Bearbeitete Artikel <b>brauchen</b> eine Freischaltung';
$lang['KB_Rules_moderate'] = 'Du <b>kannst</b> %sdiese Kategorie moderieren%s'; // %s replaced by a href links, do not remove!
$lang['KB_Rules_moderate_can'] = 'Du <b>kannst</b> diese Kategorie <b>nicht</b> moderieren.'; // %s replaced by a href links, do not remove!

$lang['Comments_show'] = 'Kommentare anzeigen.';
$lang['Comments_show_explain'] = '- auch in der Artikelseite zeigen';
$lang['Comments_show_title'] = 'Benutzerkommentare';

$lang['Mod_group'] = 'KB Moderator Gruppe';
$lang['Mod_group_explain'] = '- mit KB Adminbefugnissen!';

$lang['Bump_post'] = 'Artikelposts bumpen';
$lang['Bump_post_explain'] = 'Wenn ein Beitrag editiert wurde wird ein Bump-Post in dem Kommentare-Artikel gepostet.';

$lang['Stats_list'] = 'KB Statistik zeigen';
$lang['Stats_list_explain'] = 'Zeigt die KB Statistik im Header.';

$lang['Header_banner'] = 'Kopflogo anzeigen';
$lang['Header_banner_explain'] = 'Zeigt das Knowledge-Base Logo im Header.';

$lang['Comment_info'] = 'Kommentareinstellungen';
$lang['Rating_info'] = 'Bewertungseinstellungen';


//types
$lang['Types_man'] = 'Typen Manager';
$lang['KB_types_description'] = 'Hier kannst Du die verschiedenen Artikeltypen ansehen, hinzufgen, ndern und lschen.';
$lang['Create_type'] = 'Neuer Artikeltyp:';
$lang['Type_created'] = 'Artikeltyp erfolgreich angelegt.';
$lang['Click_return_type_manager'] = 'Klicke %shier%s um zum Typen-Manager zurckzukehren.';

$lang['Edit_type'] = 'Artikeltyp bearbeiten';
$lang['Edit_type_description'] = 'Hier kannst Du den Namen des Artikeltyps verndern.';
$lang['Type_edited'] = 'Artikeltyp erfolgreich bearbeitet.';

$lang['Type_delete_title'] = 'Artikeltyp lschen';
$lang['Type_delete_desc'] = 'Hier kannst Du den Artikeltyp ausw&auml;hlen, dem die Eintr&auml;ge zugeordnet werden, die momentan dem zu l&ouml;schenden Artikeltyp zugeordnet sind.';
$lang['Change_type'] = '&Auml;ndere den Artikeltyp in';
$lang['Change_and_Delete'] = '&Auml;ndern und L&ouml;schen';
$lang['Type_deleted'] = 'Artikeltyp erfolgreich gel&ouml;scht.';

$lang['Pre_text_name'] = 'Artikel Vorlage Anleitungen';
$lang['Pre_text_header'] = 'Artikel Vorlage Anleitungen: Header';
$lang['Pre_text_body'] = 'Artikel Vorlage Anleitungen: Body';
$lang['Pre_text_explain'] = 'Hierbei handelt es sich um den Hilfetext, welcher Benutzern &uuml;ber dem Eintragsformular angezeigt wird..';

$lang['Show'] = 'Zeige';
$lang['Hide'] = 'Verstecke';

$lang['Empty_fields'] ='Bitte f&uuml;lle alle Teile des Formulars aus.';
$lang['Empty_fields_return'] ='Klick %shier%s, um zum Formular zur&uuml;ckzukehren.';
$lang['Empty_category'] ='Du musst eine Kategorie ausw&auml;hlen';
$lang['Empty_type'] ='Du musst einen Typ ausw&auml;hlen';
$lang['Empty_article_name'] = 'Du musst dem Artikel einen Namen geben';
$lang['Empty_article_desc'] = 'Du musst dem Artikel eine Beschreibung geben';

$lang['Read_full_article'] = '>>Lies den ganzen Artikel';
$lang['Comments'] = 'Kommentare';

$lang['No_add'] = 'Du kannst keinen neuen Artikel hinzuf&uuml;gen';
$lang['No_edit'] = 'Du kannst den Artikel nicht bearbeiten!';
$lang['Post_comments'] = 'Schreib deinen Kommentar';

$lang['Category_sub'] = 'Unter-Kategorien';
$lang['Quick_stats'] = 'Schnell-Statistik';

// added

$lang['Edited_Article_info'] = 'Artikel aktualisiert von ';
$lang['No_Articles'] = 'Diese Kategorie ist leer!';
$lang['Not_authorized'] = 'Entschuldigung, du bist dazu nicht berechtigt!';
$lang['TOC'] = 'Inhalte';

// Rate
$lang['Votes_label'] = 'Bewertung ';
$lang['Votes'] = 'Stimme(n)';
$lang['No_votes'] = 'Keine Stimmen';
$lang['Rate'] = 'Bewerte den Artikel';
$lang['ADD_RATING'] = '[Artikel bewertung]';
$lang['Rerror'] = 'Entschuldigung, du hast diesen Artikel bereits bewertet.';
$lang['Rateinfo'] = 'Du bist dabei den Artikel <i>{filename}</i> zu bewerten.<br />Bitte w&auml;hle eine Bewertung. 1 ist das schlechteste, 10 ist das beste.';
$lang['Rconf'] = 'Du hast <i>{filename}</i> mit {rate} bewertet.<br />Das gibt der Datei eine neue Bewertung von {newrating}/10.';
$lang['R1'] = '1';
$lang['R2'] = '2';
$lang['R3'] = '3';
$lang['R4'] = '4';
$lang['R5'] = '5';
$lang['R6'] = '6';
$lang['R7'] = '7';
$lang['R8'] = '8';
$lang['R9'] = '9';
$lang['R10'] = '10';
$lang['Click_return_rate'] = 'Klick %shier%s, um zum Artikel zur&uuml;ckzukehren';

// Print version
$lang['Print_version'] = '[Druckversion]';

// Stats
$lang['Top_toprated'] = 'Beste Artikel';
$lang['Top_most_popular'] = 'Beliebteste Artikel';
$lang['Top_latest'] = 'Neueste Artikel';

// Votes check
$lang['Votes_check_ip'] = 'Best&auml;tige Bewertungs - ip';
$lang['Votes_check_ip_explain'] = 'Nur eine Bewertung pro IP-Adresse ist erlaubt.';

$lang['Votes_check_userid'] = 'Best&auml;tige Bewertungs - user';
$lang['Votes_check_userid_explain'] = 'User d&uuml;rfen nur einmal abstimmen.';

$lang['Article_pag'] = 'Artikel Seitenumbruch';
$lang['Article_pag_explain'] = 'Die Anzahl der Artikel, die in einer (Statistik) Kategorie vor einem Seitenumbruch angezeigt werden.';

$lang['Comments_pag'] = 'Kommentar Seitenumbruch';
$lang['Comments_pag_explain'] = 'Die Anzahl der Kommentare, die f&uuml;r einen Artikel vor einem Seitenumbruch angezeigt werden.';

$lang['News_sort'] = 'Artikel Sortiermethode';
$lang['News_sort_explain'] = 'Gib an wie die Artikel in einer Kategorie sortiert werden sollen.';

$lang['News_sort_par'] = 'Auf- oder absteigendes Sortieren';
$lang['News_sort_par_explain'] = '';

//
// General strings from the news admin panel
//

$lang['News_settings'] = "KB Block Einstellungen";
$lang['News_settings_short_explain'] = "Konfiguriere einige Optionen f&uuml;r die Nachrichten auf der ersten Seite.";
$lang['News_settings_explain'] = "Hier kannst du die Konfiguration f&uuml;r den KB Block bearbeiten. Dieses Panel  This panel lets you extract what categories the block will display, thus you'll create subinstances of the module.";

//
// Update result messages
//

$lang['News_updated_return_settings'] = "KB Block Konfiguration erfolgreich bearbeitet.<br /><br />Klick %shier%s, um zur Hauptseite zur&uuml;ckzukehren."; // %s's for URI params - DO NOT REMOVE
$lang['News_update_error'] = "KB Block Konfiguration kann nicht bearbeitet werden.<br /><br />Diese Modifikation wurde f&uuml;r MySQL geschrieben, kontaktiere daher bitte den Autor, wenn du Schwierigkeiten hast. Wenn du &Uuml;bersetzungen von SQL in andere Datenbankformate anbieten kannst, sende sie bitte an:<br />";

// Custom Field
$lang['Fieldselecttitle'] = 'W&auml;hle was zu tun ist';
$lang['Afield'] = 'Benutzerfeld: Hinzuf&uuml;gen';
$lang['Efield'] = 'Benutzerfeld: Bearbeiten';
$lang['Dfield'] = 'Benutzerfeld: L&ouml;schen';
$lang['Mfieldtitle'] = 'Benutzerfelder';
$lang['Afieldtitle'] = 'Feld hinzuf&uuml;gen';
$lang['Efieldtitle'] = 'Feld bearbeiten';
$lang['Dfieldtitle'] = 'Feld l&ouml;schen';
$lang['Fieldexplain'] = 'Du kannst die Benutzerfeld Verwaltungssektion dazu benutzen, Benutzerfelder hinzuzuf&uuml;gen, zu bearbeiten und zu l&ouml;schen. Du kannst Benutzerfelder dazu benutzen, mehr Informationen &uuml;ber einen Artikel hinzuzuf&uuml;gen.';
$lang['Fieldname'] = 'Feldname';
$lang['Fieldnameinfo'] = 'Dies ist der Name des Feldes, z.B. \'Dateigr&ouml;&szlig;e\'';
$lang['Fielddesc'] = 'Feldbeschreibung';
$lang['Fielddescinfo'] = 'Dies ist die Beschreibung des Feldes, z.B. \'Dateigr&ouml;&szlig;e in Megabytes\'';
$lang['Fieldadded'] = 'Das Benutzerfeld wurde erfolgreich hinzugef&uuml;gt';
$lang['Fieldedited'] = 'Das von dir ausgew&auml;hlte Benutzerfeld wurde erfolgreich bearbeitet';
$lang['Dfielderror'] = 'Du hast kein(e) Feld(er) zum L&ouml;schen ausgew&auml;hlt';
$lang['Fieldsdel'] = 'Die von dir ausgew&auml;hlten Benutzerfelder wurden erfolgreich gel&ouml;scht.';

$lang['Field_data'] = 'Optionen';
$lang['Field_data_info'] = 'Gib die Optionen ein, aus denen die Benutzer w&auml;hlen k&ouml;nnen. Trenne jede Option durch eine neue Zeile (Enter).';
$lang['Field_regex'] = 'Regul&auml;rer Ausdruck';
$lang['Field_regex_info'] = 'Du brauchst das Eingabefeld, um einen regul&auml;ren Ausdruck anzupassen %s(PCRE)%s.';
$lang['Field_order'] = 'Sortierung anzeigen';

//Fields Types

$lang['Field_Input'] = 'Einzeilige Textbox';
$lang['Field_Textarea'] = 'Mehrzeilige Textbox';
$lang['Field_Radio'] = 'Einfach Auswahl Radio Buttons';
$lang['Field_Select'] = 'Einfach Auswahl Men&uuml;';
$lang['Field_Select_multiple'] = 'Mehrfach Auswahl Men&uuml;';
$lang['Field_Checkbox'] = 'Mehrfach Auswahl Checkbox';

$lang['Click_return'] = 'Klick %shier%s, um zur vorigen Seite zur&uuml;ckzukehren';

// added
$lang['Cat_all'] = "Alle";

$lang['L_Pages'] = "Seiten";
$lang['L_Pages_explain'] = "Benutze den '[pages]' Befehl, um einen Artikel in mehrere Seiten aufzuteilen";
$lang['L_Toc'] = "Inhaltsverzeichnis (TOC)";
$lang['L_Toc_explain'] = "Benutze den '[toc]' Befehl, um einen Eintrag in das Inhaltsverzeichnis einzuf&uuml;gen";
$lang['L_Abstract'] = "&Uuml;bersicht";
$lang['L_Abstract_explain'] = "Benutze den '[abstract]...[/abstract]' Befehl, um eine &Uuml;bersicht einzuf&uuml;gen";

$lang['L_Title_Format'] = "Titel";
$lang['L_Title_Format_explain'] = "Benutze den '[title]...[/title]' Befehl, um einen Haupttitel einzuf&uuml;gen";

$lang['L_Subtitle_Format'] = "Untertitel";
$lang['L_Subtitle_Format_explain'] = "Benutze den '[subtitle]...[/subtitle]' Befehl, um einen Untertitel einzuf&uuml;gen";

$lang['L_Subsubtitle_Format'] = "Subsubtitle";
$lang['L_Subsubtitle_Format'] = "Benutze den '[subsubtitle]...[/subsubtitle]' Befehl, um eine kleine &Uuml;berschrift einzuf&uuml;gen";

$lang['L_Options'] = "Optionen:";
$lang['L_Formatting'] = "Formatierung:";

$lang['Default_article_id'] = "Setze einen Standardartikel f&uuml;r die Artikel&uuml;bersicht";

// Added for v. 2.0
$lang['KB_comment_prefix'] = '[ KB ] ';

$lang['Wysiwyg'] = 'Benutze den WYSIWYG Editor';
$lang['Wysiwyg_explain'] = 'Wenn dies aktiviert ist, wird die Standard BBCode/HTML/Smilies Eingabe durch einen WYSIWYG Editor ersetzt.';

$lang['Wysiwyg_path'] = 'Pfad zur WYSIWYG Software';
$lang['Wysiwyg_path_explain'] = 'Dies ist der Pfad (vom myBB/phpBB Hauptverzeichnis) zum WYSIWYG Software Ordner, z.B. \'modules/\' wenn du z.B. tinemce in modules/tinymce hochgeladen hast.';

$lang['Formatting_fixup'] = 'Formatierung in Ordnung bringen';
$lang['Formatting_fixup_explain'] = 'Wenn dies aktiviert ist, wird der Artikel neu formatiert: Wortumbruch, URL Beendigung, IMG Anpassung, einige BBCode Neuformatierungen etc.';

$lang['Addtional_field'] = 'Weitere Informationen (optional)';

$lang['No_cat_comments_forum_id'] = 'Kommentare sind erlaubt, aber du hast bisher keine phpBB Forum Kategorie im KB ACP unter "Kategorien" ausgew&auml;hlt';

// Quick Nav
$lang['Quick_nav'] = 'Quick Navigator';
$lang['Quick_jump'] = 'Gehe zu';
?>