<?php
/** 
*
* attachment mod faq [German] (c) 2005 Stefan Simon aka DerEine
*
* @package attachment_mod
* @version $Id: lang_main_attach.php,v 1.1 2005/11/05 10:25:02 acydburn Exp $
* @copyright (c) 2002 Meik Sievertsen
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* DO NOT CHANGE
*/
if (!isset($lang) || !is_array($lang))
{
	$lang = array();
}

//
// Attachment Mod Main Language Variables
//

// Auth Related Entries
$lang['Rules_attach_can'] = 'Du <b>kannst</b> Dateien in diesem Forum posten';
$lang['Rules_attach_cannot'] = 'Du <b>kannst</b> Dateien in diesem Forum <b>nicht</b> posten';
$lang['Rules_download_can'] = 'Du <b>kannst</b> Dateien in diesem Forum herunterladen';
$lang['Rules_download_cannot'] = 'Du <b>kannst</b> Dateien in diesem Forum <b>nicht</b> herunterladen';
$lang['Sorry_auth_view_attach'] = 'Entschuldigung, aber du bist nicht autorisiert dieses Attachment anzuschauen oder herunterzuladen.';

// Viewtopic -> Display of Attachments
$lang['Description'] = 'Beschreibung'; // wird auch im ACP benutzt...
$lang['Downloaded'] = 'Heruntergeladen';
$lang['Download'] = 'Download'; // diese Sprachvariable ist auch in der lang_admin.php definiert, aber wir sind nicht in der Lage Zugriff darauf zu bekommen von der Haupt-Sprachdateie
$lang['Filesize'] = 'Dateigr&ouml;&szlig;e';
$lang['Viewed'] = 'Angeschaut';
$lang['Download_number'] = '%d mal'; // ersetze %d mit dem Z&auml;hler
$lang['Extension_disabled_after_posting'] = 'Die Dateiendung \'%s\' wurde vom Board Admin deaktiviert, deshalb wird die Datei nicht angezeigt.'; // wird in Beitr&auml;ge und PM's benutzt

// Posting/PM -> Initial Display
$lang['Attach_posting_cp'] = 'Attachment Kontrollzentrum';
$lang['Attach_posting_cp_explain'] = 'Wenn du auf \'Attachment hinzufgen\' klickst, dann siehst du eine Box zum Hinzufgen von Attachments.<br />Wenn du auf \'gepostete Attachments\' klickst, dann siehst du eine Liste der bereits hinzugefgten Attachments, du kannst sie dann nach Belieben editieren.<br />Wenn du ein Attachment ersetzen (Neue Version hochladen) mchtest, dann musst du beide Links anklicken. Fge das Attachment so hinzu wie du es normalerweise tun wrdest, klicke aber nicht auf \'Attachment hinzufgen\', sondern klicke bei dem Attachment das du austauschen mchtest auf \'Neue Version hochladen\'.';

// Posting/PM -> Posting Attachments
$lang['Add_attachment'] = 'Attachment hinzufgen';
$lang['Add_attachment_title'] = 'Attachment hinzufgen';
$lang['Add_attachment_explain'] = 'Wenn du kein Attachment hinzufgen mchtest, dann lasse die Felder einfach leer';
$lang['File_name'] = 'Dateiname';
$lang['File_comment'] = 'Kommentar';

// Posting/PM -> Posted Attachments
$lang['Posted_attachments'] = 'gepostete Attachments';
$lang['Options'] = 'Optionen';
$lang['Update_comment'] = 'Kommentar aktualisieren';
$lang['Delete_attachments'] = 'Attachments lschen';
$lang['Delete_attachment'] = 'Attachment lschen';
$lang['Delete_thumbnail'] = 'Thumbnail lschen';
$lang['Upload_new_version'] = 'Neue Version hochladen';

// Errors -> Posting Attachments
$lang['Invalid_filename'] = '%s ist ein ungltiger Dateiname'; // ersetze %s mit dem gegebenen Dateinamen
$lang['Attachment_php_size_na'] = 'Das Attachment ist zu gro.<br />Vorgegebene Maximale Gre von PHP kann nicht ermittelt werden.<br />Das Attachment Mod kann die in der php.ini definierte Gre nicht ermitteln.'; 
$lang['Attachment_php_size_overrun'] = 'Das Attachment ist zu gro.<br />Vorgegebene Maximale Gre in der php.ini: %d MB<br />Bitte beachte das diese Gre in der php.ini definiert ist, das bedeutet, da es von PHP gesetzt wurde und vom Attachment Mod nicht berschrieben werden kann.'; // ersetze %d mit ini_get('upload_max_filesize')
$lang['Disallowed_extension'] = 'Die Erweiterung %s ist hier verboten'; // ersetze %s mit der Endung (z.B. .php) 
$lang['Disallowed_extension_within_forum'] = 'Die Erweiterung %s ist in diesem Forum verboten';
$lang['Attachment_too_big'] = 'Das Attachment ist zu gro.<br />Maximale Gre: %d %s'; // ersetze %d mit der maximalen Dateigr&ouml;&szlig;e, %s mit der Gr&ouml;&szlig;envariablen
$lang['Attach_quota_reached'] = 'Entschuldingung, aber die maximale Gre aller Attachments wurde erreicht. Bitte kontaktiere den Board Administrator wenn du Fragen hast.';
$lang['Too_many_attachments'] = 'Attachment kann nicht hinzugefgt werden, da die maximale Anzahl von %d Attachments in dieser Nachricht erreicht wurde'; // ersetze %d mit der maximalen Anzahl der Anh&auml;nge
$lang['Error_imagesize'] = 'Das Attachment/Bild muss kleiner als %dx%d Pixel sein.'; 
$lang['General_upload_error'] = 'Upload Error: Kann das Attachment %s nicht hochladen.'; // ersetze %s mit dem lokal Pfad

$lang['Error_empty_add_attachbox'] = 'Du musst Daten in dem Feld fr das hinzufgen von Attachments eintragen.';
$lang['Error_missing_old_entry'] = 'Unmglich das Attachment zu aktualisieren, alter Attachment Eintrag kann nicht gefunden werden.';

// Errors -> PM Related
$lang['Attach_quota_sender_pm_reached'] = 'Entschuldigung, aber die maximale Gre aller Attachments in deinen Privaten Nachrichten wurde erreicht. Bitte lsche einige Attachments von deinen empfangenen/gesendeten Privaten Nachrichten.';
$lang['Attach_quota_receiver_pm_reached'] = 'Entschuldigung, aber die maximale Gre aller Attachments in der Privaten Nachrichten Box von \'%s\' wurde erreicht. Bitte lass ihm/ihr das wissen oder warte bis er/sie einige Attachments gelscht hat.';

// Errors -> Download
$lang['No_attachment_selected'] = 'Du hast kein Attachment zum Herunterladen oder Betrachten angegeben.';
$lang['Error_no_attachment'] = 'Das ausgewhlte Attachment existiert leider nicht mehr';

// Delete Attachments
$lang['Confirm_delete_attachments'] = 'Bist du sicher, da du die ausgewhlten Attachments lschen mchtest';
$lang['Deleted_attachments'] = 'Die ausgewhlten Attachments wurden gelscht';
$lang['Error_deleted_attachments'] = 'Das Attachment konnte nicht gelscht werden';
$lang['Confirm_delete_pm_attachments'] = 'Bist du sicher alle Attachments in dieser Privaten Nachricht zu lschen?';

// General Error Messages
$lang['Attachment_feature_disabled'] = 'Das Attachment Feature ist abgeschaltet.';

$lang['Directory_does_not_exist'] = 'Das Verzeichnis \'%s\' existiert nicht oder kann nicht gefunden werden.'; // ersetze %s mit dem Verzeichnis
$lang['Directory_is_not_a_dir'] = 'Bitte prfe ob \'%s\' ein Verzeichnis ist.'; // ersetze %s mit dem Verzeichnis
$lang['Directory_not_writeable'] = 'Das Verzeichnis \'%s\' ist nicht schreibbar. Du musst das Upload Verzeichnis erstellen und zu 777 chmodden (oder den Besitzer des Verzeichnisses auf den Besitzer des HTTP-Servers stellen) um Dateien hochladen zu knnen.<br />Wenn du nur FTP-Zugriff hast, dann ndere das \'Attribut\' des Verzeichnisses auf rwxrwxrwx.'; // ersetze %s mit dem Verzeichnis

$lang['Ftp_error_connect'] = 'Kann den FTP-Server nicht erreichen: \'%s\'. Bitte prfe die FTP Einstellungen.';
$lang['Ftp_error_login'] = 'Login Fehlgeschlagen. Der Benutzername \'%s\' oder das Passwort sind falsch. Bitte prfe die FTP Einstellungen.';
$lang['Ftp_error_path'] = 'Kann FTP Verzeichnis nicht finden oder darauf zugreifen: \'%s\'. Bitte prfe die FTP Einstellungen.';
$lang['Ftp_error_upload'] = 'Kann Dateien nicht in das FTP Verzeichnis hochladen: \'%s\'. Bitte prfe die FTP Einstellungen.';
$lang['Ftp_error_delete'] = 'Kann Dateien im FTP Verzeichnis nicht lschen: \'%s\'. Bitte prfe die FTP Einstellungen.<br />Ein anderer Grund fr diesen Fehler kann das nicht vorhandensein eines Attachments sein, bitte prfe das erst im Men Shadow Attachments.';
$lang['Ftp_error_pasv_mode'] = 'Kann den FTP Passiv Modus nicht ein-/ausschalten.';

// Attach Rules Window
$lang['Rules_page'] = 'Attachment Regeln';
$lang['Attach_rules_title'] = 'Erlaubte Dateierweiterungen und deren Dateigren';
$lang['Group_rule_header'] = '%s -> Maximale Upload Gre: %s';
$lang['Allowed_extensions_and_sizes'] = 'Erlaubte Dateierweiterungen';
$lang['Note_user_empty_group_permissions'] = 'BEACHTE:<br />Es ist normalerweise erlaubt Dateien in diesem Forum zu posten, <br />aber da hier alle Dateierweiterungen verboten wurden <br />ist es unmglich eine Datei zu posten. Wenn du es <br />versuchst, dann wirst du eine Fehlernachricht erhalten.<br />';

// Quota Variables
$lang['Upload_quota'] = 'Upload Quota';
$lang['Pm_quota'] = 'PM Quota';
$lang['User_upload_quota_reached'] = 'Du hast deine maximale Upload Quota Grenze von %d %s erreicht'; // ersetze %d mit der Gr&ouml;&szlig;e, %s mit der Gr&ouml;&szlig;en-Beschreibung (MB zum Beispiel)

// User Attachment Control Panel
$lang['User_acp_title'] = 'Benutzer ACP';
$lang['UACP'] = 'Benutzer Attachment Kontrollzentrum';
$lang['User_uploaded_profile'] = 'Hochgeladen: %s';
$lang['User_quota_profile'] = 'Quota: %s';
$lang['Upload_percent_profile'] = 'Insgesamt %d%%';

// Common Variables
$lang['Bytes'] = 'Bytes';
$lang['KB'] = 'KB';
$lang['MB'] = 'MB';
$lang['Attach_search_query'] = 'Suche Attachments';
$lang['Test_settings'] = 'Einstellungen Testen';
$lang['Not_assigned'] = 'Nicht zugewiesen';
$lang['No_file_comment_available'] = 'Kein Datei-Kommentar verfgbar';
$lang['Attachbox_limit'] = 'Deine Attachbox ist zu %d%% voll';
$lang['No_quota_limit'] = 'Keine Quota Grenze';
$lang['Unlimited'] = 'Unbegrenzt';

?>