<?php
// CTracker_Ignore: File Checked By Human
/***************************************************************************
 *                              cmx_php_rss.php
 *                            -------------------
 *   begin                : Monday, January 13th 2003
 *   email                : webmaster@codemonkeyx.net
 *
 *
 ***************************************************************************/

define('IN_PHPBB', true);

//
// Set up for phpBB intergration.
//

$phpbb_root_path = '';

//
// phpBB related files
//

include_once ($phpbb_root_path . 'extension.inc');
include_once ($phpbb_root_path . 'common.' . $phpEx );
include_once ($phpbb_root_path . 'includes/functions_news.' . $phpEx );

header("Content-type: text/xml");

//
// Start session management
//

if( $board_config['allow_rss'] != 1 )
{
	echo 'RSS has been disabled for this site';
	return;
}

$userdata = session_pagestart( $user_ip, PAGE_INDEX, $session_length );
init_userprefs( $userdata );

//
// End session management
//

//
// Begin Configuration
//
//
// Documentation provided by http://backend.userland.com/rss
//

$SITE_INFO['URL']		= 'http://' . trim( $board_config['server_name'] );
// The URL to the HTML website corresponding to the channel.

$SITE_INFO['FORUM_PATH'] = $board_config['script_path'];
// Location of your forum releative to the site URL.

$SITE_INFO['DESC'] 		= $board_config['news_rss_desc'];
// Phrase or sentence describing the channel.

$SITE_INFO['LANGUAGE']	= $board_config['news_rss_language'];
// The language the channel is written in. This allows aggregators
// to group all Italian language sites, for example, on a single
// page. A list of allowable values for this element, as provided
// by Netscape, is here. You may also use values defined by the W3C.

$SITE_INFO['COPY_RIGHT'] = 'Copyright 2003, ' . $board_config['sitename'];
// Copyright notice for content in the channel.

$SITE_INFO['EDITOR']	= $board_config['board_email'];
// Email address for person responsible for editorial content.

$SITE_INFO['WEBMASTER']	= $board_config['board_email'];
// Email address for person responsible for technical issues 
// relating to channel.

$SITE_INFO['TTL']		= $board_config['news_rss_ttl'];
// ttl stands for time to live. It's a number of minutes that
// indicates how long a channel can be cached before refreshing
// from the source.

$SITE_INFO['CATEGORY']	= $board_config['news_rss_cat'];

$SITE_INFO['IMAGE'] 	= $board_config['news_rss_image'];
// A image to be associated with your news feed. (Can only be a small
// button size image.

$SITE_INFO['IMAGE_TITLE'] 	= $board_config['news_rss_image_desc'];	// Alt tag.

$SITE_INFO['TITLE'] 		= $board_config['sitename'];
$SITE_INFO['GENERATOR'] 	= 'phpBB 2' . $board_config['version'] . ' : CMX News Mod';
$SITE_INFO['PUB_DATE'] 		= date( 'r', mktime( 0,0,0,date('m'),date('d'),date('y') ) );

if( count($news_items) > 0 )
// Get the date the feed was last modified.
{
	$SITE_INFO['LAST_BUILD'] = date( 'r', $news_items[0]['topic_time'] );
}

$NEWS_CFG['num_news_items'] = $board_config['news_item_num'];
$NEWS_CFG['news_body_trim'] = 0;
$NEWS_CFG['news_topic_trim']= 0;

// End Configuration

// Process any parameters passed to this page.

// You are only allowed 15 posts in the rss specs.
if( $num > 0 && $num <= 15)
{
	$NEWS_CFG['num_news_items']	= $num;
}

if( $ttrim > 0 )
{
	$NEWS_CFG['news_topic_trim']= $ttrim;
}

if( $btrim > 0 ) 
{
	$NEWS_CFG['news_body_trim'] = $btrim;
}

//
// Get page data.
//

$news_items = fetch_news_posts( $NEWS_CFG['num_news_items'], 
								0, 
								0, 
								$NEWS_CFG['news_body_trim'],
								$NEWS_CFG['news_topic_trim'], 
								' ... ',
								'', 
								false  
							);

if( !empty( $news_items ) )
{
	$template->set_filenames( array('body' => 'news_200_rss_body.tpl' ) );

	for ($i = 0; $i < count($news_items); $i++)
	{

		$news_items[$i]['read_more_url'] = $SITE_INFO['URL'] . $SITE_INFO['FORUM_PATH'] . $news_items[$i]['read_more_url'];
		$news_items[$i]['rss_date'] = date( 'r', $news_items[$i]['topic_time'] );
		$news_items[$i]['post_text'] = bbencode_news_strip( $news_items[$i]['post_text'], $news_items[$i]['bbcode_uid'] );
		
		while( list( $k, $v ) = each( $news_items[$i] ) )
		{
			$posts_vars[strtoupper($k)] = $v;
		}

		$template->assign_block_vars('newsitem', $posts_vars);
	}

	$template->assign_vars( $SITE_INFO );

	$template->pparse('body');
}
?>
