<?php
// CTracker_Ignore: File Checked By Human
/***************************************************************************
 *                              news_viewnews.php
 *                            -------------------
 *   begin                : Monday, January 13th 2003
 *   email                : webmaster@codemonkeyx.net
 *
 *
 ***************************************************************************/

//
// Set up for phpBB intergration.
//

$phpbb_root_path = './';

define ('IN_PHPBB', true);

//
// phpBB related files
//

include_once ($phpbb_root_path . 'extension.inc');
include_once ($phpbb_root_path . 'common.' . $phpEx );
include_once ($phpbb_root_path . 'includes/functions_news.' . $phpEx );

//
// Start session management
//

$userdata = session_pagestart( $user_ip, PAGE_INDEX, $session_length );
init_userprefs( $userdata );

//
// End session management
//

$news_id = isset($HTTP_GET_VARS['news_id']) ? intval($HTTP_GET_VARS['news_id']) : 0;
$start = isset($HTTP_GET_VARS['start']) ? intval($HTTP_GET_VARS['start']) : 0;

//
// Set up general page configuration for Index.
//
$page_title = $lang['News'];

$NEWS_CFG['recent_categories'] 	= 5;
$NEWS_CFG['num_news_items']		= $board_config['news_item_num'];
$NEWS_CFG['news_body_trim']		= $board_config['news_item_trim'];
$NEWS_CFG['news_topic_trim'] 		= $board_config['news_topic_trim'];

if( $news_id > 0 )
{
	$NEWS_CFG['news_category'] = $news_id;
}

include( './includes/page_header.' . $phpEx );

//
// Get page data.
//

if( !isset( $article ) )
{
	$topics_count = fetch_news_count( $news_id );

	$news_items = fetch_news_posts(
						$NEWS_CFG['num_news_items'],
						$NEWS_CFG['news_category'],
						0,
						$NEWS_CFG['news_body_trim'],
						$NEWS_CFG['news_topic_trim'],
						'...',
						'',
						true,
						$start
						);
}
else
{
	$news_items = fetch_news_post( $article );
}

$cats = fetch_recent_categories( $NEWS_CFG['recent_categories'] );

if( !empty( $news_items ) )
{
	$template->set_filenames( array('body' => 'news_body.tpl' ) );
	
	$template->assign_vars( array(
				'L_NEWS_TOPICS' => $lang['News'] . ' ' . $lang['Topics'],
				'L_NEWS_INDEX' => $lang['News'] . ' ' . $lang['Index'],
				'L_POSTER' => $lang['Poster'],
				'L_DATE' => $lang['Date'],
				'L_COMMENTS' => $lang['View_Comments'],
				'U_VIEWTOPICS' => append_sid($phpbb_root_path . 'news_viewtopics.' . $phpEx),
				'U_VIEWNEWS' => append_sid($phpbb_root_path . 'news_viewnews.' . $phpEx),
				'PAGINATION' => (!isset( $article )) ? generate_pagination("news_viewnews.$phpEx?news_id=".$news_id, $topics_count, $NEWS_CFG['num_news_items'], $start) : ''
				)
			);

	for ($i = 0; $i < count($news_items); $i++) 
	{
		//
		// Convert array.
		//

		$row_color = ( !($i % 2) ) ? $theme['td_color1'] : $theme['td_color2'];
		$row_class = ( !($i % 2) ) ? 'row1' : 'row2';

		while( list( $k, $v ) = each( $news_items[$i] ) )
		{
			$posts_vars[strtoupper($k)] = $v;
		}

		$posts_vars['READ_MORE_LINK'] = ( $news_items[$i]['body_trimmed'] == true ) ? '(<a href="' . $news_items[$i]['read_more_url'] . '">' . $lang['Read_More'] . '</a>)' : '';

		$posts_vars['ROW_COLOR'] = '#' . $row_color;
		$posts_vars['ROW_CLASS'] = $row_class;

		$template->assign_block_vars('newsitem', $posts_vars);
	}

	for( $i = 0; $i < count( $cats ); $i++ )
	{
		while( list( $k, $v ) = each( $cats[$i] ) )
		{
			$cat_vars[strtoupper($k)] = $v;
		}
		$template->assign_block_vars('catitem', $cat_vars);
	}

	$template->pparse('body');
}
else
{
	echo 'No News Found.';
}
include( './includes/page_tail.' . $phpEx );

?>
