<?php
/***************************************************************************
 *
 *
 *   begin                : Sunday, Okt 16, 2005
 *   copyright            : (C) 1999-2005 by Christian Knerr, www.cback.de
 *   email                : info@cback.de
 *
 *
 ***************************************************************************/

  $langu['welcome']      = 'Willkommen bei der Installation von CBACK Orion v' . $orionver;
  $langu['welcome_text'] = 'Vielen Dank, dass Du Dich fr CBACK Orion entschieden hast, einem
  					        leistungsstarken und schnellen Forensystem. Dieser automatische
                            Setupassistent wird Dir nun helfen, Orion zu installieren. Voraussetzung
                            hierfr ist, dass Du zuvor bereits eine <b>MySQL Datenbank</b> angelegt hast
                            oder die Datenbank eines bestehenden phpBB Basierten Forensystems konvertieren
                            willst.';

  $langu['imethod']      = 'Installationsmethode whlen';
  $langu['imethod_text'] = 'Bitte whle die Art der Installation! <b>Neuinstallation</b> dient dazu, Orion ganz neu
   						    in einer leeren Datenbank zu installieren. Wenn Du bisher noch kein Forum genutzt hast
                            oder ein neues Forum installieren mchtest. Die Funktion <b>Update</b> akutalisiert
                            ein phpBB Basiertes Forum (phpBB, phpBB2 Plus, Minerva, Dimension) auf CBACK Orion.
                            <br><br><b>ACHTUNG:</b> Beim Update werden Benutzer, Posts, ... bernommen, andere
                            Informationen von Zusatzmods knnen je nach Modkombinationen allerdings verloren gehen!
                            Generell empfiehlt sich vor dem <b>Update</b> ein Datenbank-Backup mit
                            <a href="http://www.mysqldumper.de" target="_blank">MySQL Dumper</a> durchzufhren. So
                            kann nichts schief gehen und im Notfall kann die alte Datenbank wiederhergestellt werden.';

  $langu['update']       = 'Update';
  $langu['install']      = 'Neuinstallation';

  $langu['ch_mods']      = 'CHMODS - Dateiberechtigungen';
  $langu['ch_modt']      = 'Setup berprft nun, ob die Dateiberechtigungen auf den entsprechenden Dateien und
  						    Ordnern korrekt auf <b>CHMOD 777</b> gesetzt wurden. Dies geht in der Regel mit Deinem
                            FTP Programm ganz leicht ber einen Rechtsklick auf die entsprechenden Dateien oder Ordner.
                            Danach entweder RWX-RWX-RWX anklicken oder die Zahl 777 eingeben.';

  $langu['ch_ok']        = '<font color="green"><b>OK</b></font>';
  $langu['ch_nok']       = '<font color="red"><b>nicht gesetzt</b></font>';
  $langu['ch_uok']       = '<font color="yellow"><b>unbekannt</b></font>';
  $langu['ok_btn']       = 'Weiter';

  $langu['installd']     = 'Installation & Adminaccount';
  $langu['installd1']    = 'Zum installieren Deines CBACK Orion Forums bentigen wir noch ein paar Informationen
  							gib diese bitte in die nachfolgenden Eingabefelder ein.<br><br>
                            <font color="red"><b>Achtung:</b></font> Zuvor muss
                            bereits eine leere Datenbank angelegt worden sein, in die Orion installiert werden kann.
                            Auerdem muss der Domainpfad stets <b>ohne</b> http:// eingetragen werden und <b>ohne</b>
                            abschlieenden Slash. Bei falschen Eingaben kann es spter beim Login zu Problemen kommen.<br><br>
                            Setup hat fr einige Felder bereits Werte vorgeschlagen, im Normalfall stimmen diese Informationen
                            und mssen dann nicht mehr verndert werden.';

  $langu['installu']     = 'Daten fr das Update';
  $langu['installu1']    = 'Diese Updatefunktion aktualisiert Dein bestehendes phpBB Forum auf CBACK Orion. Die bentigten Daten
  						    werden aus der bestehenden <b>config.php</b> Deines Forums bernommen. Aus Sicherheitsgrnden musst
                            Du lediglich Datenbankpasswort besttigen um das Update durchzufhren. Die alte
                            <b>config.php</b> Deines Forums, welche Du zuvor gesichert hast, sollte im Hauptverzeichnis hochgeladen
                            sein!<br><br><br>
                            <font color="red"><b>Wichtiger Hinweis:</b></font> Das Update luft normalerweise reibungslos und
                            wurde auf vielen Systemen getestet. Benutzerdaten und Forendaten knnen eigentlich immer bernommen
                            werden. Dennoch ist ein Datenbank-Konvertieren stets mit Risiken verbunden. Wir empfehlen <b>dringend</b>
                            vor dieser Updateroutine ein Datenbankbackup auszufhren, da diese Aktion nicht Rckgngig gemacht
                            werden kann! Je nach dem welche Erweiterungen oder andere Mods installiert waren werden mglicherweise
                            Informationen aus Mods wie Album, Downloads oder Links verloren gehen, abhngig welche Systeme zuvor
                            vorhanden waren und welche Systeme Orion mit sich bringt. Um Updates von allen Versionen zu gewhrleisten
                            wird die Datenbank vorher aufgerumt. Hierbei gehen die Informationen aus eventuellen Games Mods, Download Mods,
                            Knowledge Bases und Links Mods sowie der Hacks/Mods Liste verloren, es werden neue Tabellen hierfr angelegt!
                            <b>Tipp:</b> Wenn Du solche Infos zuvor hattest, dann sichere diese in eine Textdatei o.. und trage dann
                            diese Daten wieder spter in Orion ein!';

  $langu['field0a']      = 'Datenbank-Typ';
  $langu['field0b']      = 'Version unbekannt';
  $langu['field0']       = 'Datenbank-Host';
  $langu['field1']       = 'Datenbank-Name';
  $langu['field2']       = 'MySQL-DB-Benutzer';
  $langu['field3']       = 'MySQL-DB-Passwort';
  $langu['field4']       = 'Tabellen Prefix';
  $langu['field5']       = 'Domainname';
  $langu['field6']       = 'Skriptpfad';
  $langu['field7']       = 'Server Port';
  $langu['field8']       = 'Admin-Nickname';
  $langu['field9']       = 'Admin-Mailadresse';
  $langu['fieldA']       = 'Admin-Passwort';
  $langu['fieldB']       = 'Passwort besttigen';

  // Only used for Update
  $langu['fieldC']       = 'MySQL Passwort besttigen';
  $langu['fieldD']       = 'Die Datei config.php konnte leider nicht gefunden werden. Bitte lade die zuvor
  						    gesicherte config.php hoch, um das Update auf CBACK Orion auszufhren. Wenn Du
                            nicht weiterweit, dann lies einfach die beim Orion Paket beiliegende <b>readme.htm</b>
                            oder frage einfach auf <b><a href="http://www.community.cback.de" target="_blank">CBACK.de</a></b>
                            nach Rat.';

  $langu['fieldE']       = 'Installation starten';
  $langu['fieldF']       = 'Update starten';

  $langu['err1']         = '<b>Fehler:</b><br><br>Die Datenbank konnte nicht kontaktiert werden. Bitte prfe die
  							Datenbank-Zugangsdaten! Klicke im Browser auf "Zurck" um die Angaben zu kontrollieren!';

  $langu['err2']         = '<b>Fehler:</b><br><br>Die angegebene Datenbank konnte nicht gefunden werden. Bitte prfe,
  							ob die eingetragene Datenbank fr die Installation auch wirklich existiert.
                            Klicke im Browser auf "Zurck" um die Angaben zu kontrollieren!';

  $langu['err3']         = '<b>Die Passwrter stimmen nicht berein!</b><br><br>Klicke im Browser auf "Zurck" um die Angaben zu kontrollieren!';

  $langu['err4']         = '<b>Du hast nicht alle Felder ausgefllt!</b><br><br>Klicke im Browser auf "Zurck" um die Angaben zu kontrollieren!';

  $langu['running']      = 'Setup installiert nun CBACK Orion in Ihrer Datenbank. Bitte warten Sie,
  							bis diese Seite vollstndig geladen ist und Sie ganz unten auf dieser
                            Seite den <b>WEITER</b> Link vorfinden. Frhzeitiges Verlassen dieser Seite
                            fhrt zu einem nicht vollstndigen Setup!<br><br><br><br>';

  $langu['dbresponse1']  = '<b><font color="green">Datenbankoperation erfolgreich abgeschlossen</font></b>';
  $langu['dbresponse2']  = '<b><font color="red">FEHLER</font></b>';

  $langu['fertig']       = '<center><b>HERZLICHEN GLCKWUNSCH!</b></center><br><br><br>Das CBACK Orion Setup ist nun vollstndig! CBACK.de wnscht
  							viel Spa und Erfolg mit Deinem Orion Board. Bitte lsche den Ordner <b>setup/</b> von Deinem Webspace
                            bevor Du Dein Forum betrittst! Das ist sicherer und spart auch noch etwas Webspace.
                            <br><br><br><br><br><br>
                            <center><a href="../portal.php">OK, ich habe die <b>config.php</b> hochgeladen und den Ordner <b>setup/</b> gelscht<br>
                            und mchte nun mein CBACK Orion Board betreten!</a></center>';

  $langu['cwrit']        = 'Die config.php konnte bereits automatisch von dem Orion Setup auf Ihren Webspace geschrieben werden.
  							Du kannst also nun das Orion Setup mit einem Klick auf "Fertigstellen" abschlieen!<br>
                            <br><br><br><br><br><br>';

  $langu['cdol']         = '<center><b>config.php hochladen</b></center><br><br><br>
  						    Die config.php konnte leider nicht automatisch von dem Orion Setup auf Ihren Webspace geschrieben
                            werden. Bitte lade die Datei <b>config.php</b> nun mit einem Klick auf den Button <b>Download</b>
                            herunter und lade sie anschlieend mit Deinem FTP Programm in das Orion Hauptverzeichnis
                            (dort wo auch die index.php, viewtopic.php, usw. abgespeichert sind).<br>
                            <br>Danach kannst Du das Setup mit einem Klick auf "Fertigstellen" abschlieen.<br><br><br><br><br>';

  $langu['dload']        = 'Downloaden';
  $langu['fstell']       = 'Fertigstellen';

// EoF
?>