<?php
/***************************************************************************
 *                              admin_portal.php
 *                            -------------------
 *   begin                : Wednesday, Dec 25, 2002
 *   copyright            : (C) 2002 ThunderCat
 *   email                : thundercat@die-pretorianer.de
 *
 *   $Id: admin_portal.php,v 1.01.0.0 2002/12/25 00:00:00 psotfx Exp $
 *
 *
 ***************************************************************************/

define('IN_PHPBB', 1);

if( !empty($setmodules) )
{
	$file = basename(__FILE__);
	$module['General']['Impressum'] = "$file";
	return;
}

//
// Let's set the root dir for phpBB
//
$phpbb_root_path = "./../";
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);


if( isset($HTTP_GET_VARS['mode']) )
{
	switch( $HTTP_GET_VARS['mode'] )
	{
		      default:
			$lang_file = 'lang_impressum';
			$l_title = $lang['impressum'];
			break;
	}
}
else
{
	$lang_file = 'lang_impressum';
	$l_title = $lang['impressum'];
}
include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/' . $lang_file . '.' . $phpEx);

//
// Pull all config data
//
$sql = "SELECT * FROM " . ORION_SET_TABLE;
if(!$result = $db->sql_query($sql))
{
	message_die(CRITICAL_ERROR, "Could not query config information in admin_impressum", "", __LINE__, __FILE__, $sql);
}
else
{
	while( $row = $db->sql_fetchrow($result) )
	{
		$portal_name = $row['config'];
		$portal_value = $row['content'];
		$default_portal[$portal_name] = $portal_value;

		$new[$portal_name] = ( isset($HTTP_POST_VARS[$portal_name]) ) ? $HTTP_POST_VARS[$portal_name] : $default_portal[$portal_name];
		if( isset($HTTP_POST_VARS['submit']) )
		{
			$sql = "UPDATE " . ORION_SET_TABLE . " SET
				content = '" . str_replace("\'", "''", $new[$portal_name]) . "'
				WHERE config = '$portal_name'";
			if( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, "Failed to update general configuration for $portal_name", "", __LINE__, __FILE__, $sql);
			}
		}
	}

	if( isset($HTTP_POST_VARS['submit']) )
	{
		$message = $lang['Config_updated'] . "<br /><br />" . sprintf($lang['Click_return_config'], "<a href=\"" . append_sid("admin_impressum.$phpEx") . "\">", "</a>") . "<br /><br />" . sprintf($lang['Click_return_admin_index'], "<a href=\"" . append_sid("index.$phpEx?pane=right") . "\">", "</a>");

		message_die(GENERAL_MESSAGE, $message);
	}
}

$template->set_filenames(array(
	"body" => "../../admin/style/impressum_config_body.tpl")
);

$template->assign_vars(array(
	"S_CONFIG_ACTION" => append_sid("admin_impressum.$phpEx"),
	"L_SUBMIT" => $lang['Submit'],
	"L_RESET" => $lang['Reset'],
	'Impressumtext1' => $lang['Impressumtext1'],
	'Impressumtext2' => $lang['Impressumtext2'],
	'Impressumtext3' => $lang['Impressumtext3'],
	'Impressumtext4' => $lang['Impressumtext4'],
	'Impressumtext9' => $lang['Impressumtext9'],
	'Impressumtext10' => '<b>' . $lang['Impressumtext10'] . '</b>',
	'Impressumtext11' => '<b>' . $lang['Impressumtext11'] . '</b>',
	'Impressumtext12' => '<b>' . $lang['Impressumtext12'] . '</b>',
	'Impressumtext13' => '<b>' . $lang['Impressumtext13'] . '</b>',
	'Impressumtext14' => $lang['Impressumtext14'],
	'Impressumtext15' => $lang['Impressumtext15'],
	'Impressumtext16' => $lang['Impressumtext16'],


    "name" => $new['name'],
    "strasse" => $new['strasse'],
    "ort" => $new['ort'],
    "land" => $new['land'],
    "tel" => $new['tel'],
    "fax" => $new['fax'],
    "discl" => $new['discl'],
    "mail" => $new['mail'])
);

$template->pparse("body");

include('./page_footer_admin.'.$phpEx);

?>