<?php
/***************************************************************************
 *                             cback_profiler_api.php
 *                            -------------------
 *   copyright            : (C) 2006 Christian Knerr (CBACK)
 *   website              : http://www.cback.de
 ***************************************************************************/

define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);


//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_PROFILER);
init_userprefs($userdata);

if (!$userdata['session_logged_in'])
{
  message_die(GENERAL_MESSAGE, $lang['cbpr_login']);
}
//
// End session management
//

$page_title = $lang['cbpr_title'];
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

$userid = '';
$userid = $userdata['user_id'];

//
// Read Source Board URL to send back the Profile Information
//
$sourceboard = htmlspecialchars($HTTP_GET_VARS['url']);

if(empty($sourceboard))
{
  message_die(GENERAL_MESSAGE, $lang['cbpr_error']);
}

$sourceboard  = str_replace('&amp;', '&', $sourceboard);

//
// Birthday Mod - Create Realdate from Timestamp Information
//
$birthday = (!empty($userdata['user_birthday'])? $userdata['user_birthday'] : 0);

if(!empty($birthday) && $birthday != '999999')
{
  $b_day  = realdate('j', $birthday);
  $b_md   = realdate('n', $birthday);
  $b_year = realdate('Y', $birthday);
}
else
{
  $b_day  = '';
  $b_md   = '';
  $b_year = '';
}

$template->set_filenames(array(
	'body' => 'cback_profiler_api.tpl')
);

$template->assign_vars(array(
	'S_FORM_ACTION'   => $sourceboard . '?mode=register&agreed=true&profiler=1',
	'L_UNAME'         => $lang['cbpr_user'],
	'L_DESTINATION'   => $lang['cbpr_board'],
	'L_CONTINUE'      => $lang['cbpr_go'],
	'L_TEXT'          => $lang['cbpr_r2g'],
	'L_HEADER'        => $lang['cbpr_title'],
	
	'USERNAME'        => $userdata['username'],
	'REALNAME'        => $userdata['user_realname'],
	'EMAIL'           => $userdata['user_email'],
	'ICQ'             => $userdata['user_icq'],
	'AIM'             => $userdata['user_aim'],
	'MSN'             => $userdata['user_msnm'],
	'YIM'             => $userdata['user_yim'],
	'SKYPE'           => $userdata['user_skype'],
	'WEBSITE'         => $userdata['user_website'],
	'LOCATION'        => $userdata['user_from'],
	'OCCUPATION'      => $userdata['user_occ'],
	'INTERESTS'       => $userdata['user_interests'],
	'GENDER'          => $userdata['user_gender'],
	'VIEWEMAIL'       => $userdata['user_viewemail'],
	'HIDEONLINE'      => ($userdata['user_allow_viewonline'] == 1) ? '0' : '1',
	'NOTIFYREPLY'     => $userdata['user_notify'],
	'NOTIFYPM'        => $userdata['user_notify_pm'],
	'POPUP_PM'        => $userdata['user_popup_pm'],
	'ATTACHSIG'       => $userdata['user_attachsig'],
	'ALLOWBBCODE'     => $userdata['user_allowbbcode'],
	'ALLOWHTML'       => $userdata['user_allowhtml'],
	'ALLOWSMILIES'    => $userdata['user_allowsmile'],
	'LANGUAGE'        => $userdata['user_lang'],
	'TIMEZONE'        => $userdata['user_timezone'],
	'B_DAY'           => $b_day,
	'B_MD'            => $b_md,
	'B_YEAR'          => $b_year,
	'USER_FLAG'       => $userdata['user_from_flag'],
	'DATEFORMAT'      => $userdata['user_dateformat'],
	'AVATARURL'       => ($userdata['user_avatar_type'] == 2) ? $userdata['user_avatar'] : '')
);

$template->pparse('body');

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);
?>