<?php
/***************************************************************************
 * bbc_box_tags.php
 * ----------------
 * begin	: Tuesday, June 07, 2005
 * copyright	: reddog - http://www.reddevboard.com/
 * version	: 0.0.10 - 09/09/2005
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

if ( !defined('IN_PHPBB') )
{
	die("Hacking attempt");
	exit;
}

// bbc box language file
if ( $userdata['user_id'] != ANONYMOUS )
{
	if ( !empty($userdata['user_lang']))
	{
		$board_config['default_lang'] = $userdata['user_lang'];
	}
}
if ( !file_exists(@phpbb_realpath($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_bbc_box.'.$phpEx)) )
{
	$board_config['default_lang'] = 'english';
}
include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_bbc_box.' . $phpEx);

//
// Main process
//
	$template->assign_block_vars('bbc', array());

	// separator
	$bbc_style_path = $board_config['bbc_style_path'];
	$bbc_box_img = "templates/bbc_box/styles/" . $bbc_style_path;
	$separator = ( file_exists(@phpbb_realpath($phpbb_root_path . $bbc_box_img . '/separator.gif')) ) ? '&nbsp;<img alt="" src="' . $bbc_box_img . '/separator.gif" />' : '&nbsp;&nbsp;';

	//
	// Default BBcode tags
	//

	// ------------------------------------------------------------------
	// Do not alter these lines!
	$bbc_tags_def = array(
		'bold' => array('before' => '[b]', 'after' => '[/b]', 'helpline' => 'bold', 'bbstyle' => '0', 'img' => 'bold', 'divider' => '0'),
		'italic' => array('before' => '[i]', 'after' => '[/i]', 'helpline' => 'italic', 'bbstyle' => '2', 'img' => 'italic', 'divider' => '0'),
		'underline' => array('before' => '[u]', 'after' => '[/u]', 'helpline' => 'underline', 'bbstyle' => '4', 'img' => 'underline', 'divider' => '1'),
		'quote' => array('before' => '[quote]', 'after' => '[/quote]', 'helpline' => 'quote', 'bbstyle' => '6', 'img' => 'quote', 'divider' => '0'),
		'code' => array('before' => '[code]', 'after' => '[/code]', 'helpline' => 'code', 'bbstyle' => '8', 'img' => 'code', 'divider' => '1'),
		'ulist' => array('before' => '[list]', 'after' => '[/list]', 'helpline' => 'ulist', 'bbstyle' => '10', 'img' => 'ulist', 'divider' => '0'),
		'olist' => array('before' => '[list=]', 'after' => '[/list]', 'helpline' => 'olist', 'bbstyle' => '12', 'img' => 'olist', 'divider' => '1'),
		'picture' => array('before' => '[img]', 'after' => '[/img]', 'helpline' => 'picture', 'bbstyle' => '14', 'img' => 'picture', 'divider' => '0'),
		'www' => array('before' => '[url]', 'after' => '[/url]', 'helpline' => 'www', 'bbstyle' => '16', 'img' => 'www', 'divider' => '0'),
	);

	$count_tags = count($bbc_tags_def);
	$count = 0;
	foreach ( $bbc_tags_def as $bbc_tag_def => $bbc_tag_data )
	{
		$count++;
		$template->assign_block_vars('bbc.def', array(
			'BEFORE' => $bbc_tag_data['before'],
			'AFTER' => $bbc_tag_data['after'],
			'SEP' => ($count == $count_tags) ? '' : ',',
			'HELPLINE' => $bbc_tag_data['helpline'],
			'LANG_HELP' => $lang['bbcbxr_help'][$bbc_tag_data['helpline']],
			'BBSTYLE' => $bbc_tag_data['bbstyle'],
			'IMG' => $images[$bbc_tag_data['img']],
			'BBC_BG_IMG' => $images['bbc_bg'],
			'DIVIDER' => ($bbc_tag_data['divider']) ? $separator : '')
		);
	}
	// ------------------------------------------------------------------


// constants
$template->assign_vars(array(
	// img
	'BBC_HOVERBG_IMG' => $images['bbc_hoverbg'],
	'BBC_BG_IMG' => $images['bbc_bg'],
	// main
	'L_BBCODE_B_HELP' => $lang['bbcode_b_help'],
	'L_BBCODE_I_HELP' => $lang['bbcode_i_help'],
	'L_BBCODE_U_HELP' => $lang['bbcode_u_help'],
	'L_BBCODE_Q_HELP' => $lang['bbcode_q_help'],
	'L_BBCODE_C_HELP' => $lang['bbcode_c_help'],
	'L_BBCODE_L_HELP' => $lang['bbcode_l_help'],
	'L_BBCODE_O_HELP' => $lang['bbcode_o_help'],
	'L_BBCODE_P_HELP' => $lang['bbcode_p_help'],
	'L_BBCODE_W_HELP' => $lang['bbcode_w_help'],
	'L_BBCODE_A_HELP' => $lang['bbcode_a_help'],
	'L_BBCODE_S_HELP' => $lang['bbcode_s_help'],
	'L_BBCODE_F_HELP' => $lang['bbcode_f_help'],
	'L_BBCBXR_E_HELP' => $lang['bbcbxr_e_help'],
	'L_BBCBXR_T_HELP' => $lang['bbcbxr_t_help'],
	'L_BBCBXR_BS_HELP' => $lang['bbcbxr_bs_help'],

	'L_CLOSE_TAGS' => $lang['Close_Tags'],
	'L_STYLES_TIP' => $lang['Styles_tip'],
	'L_TYPE_DEFAULT' => $lang['Type_default'],
	'L_EMPTY_MESSAGE' => $lang['Empty_message'],

	// tools bar
	'I_SWITCHCOLOR' => $images['switchcolor'],
	'I_H_RULE' => $images['horizontal_rule'],
	'I_CHARMAP' => $images['charmap'],
	'I_CLEANUP' => $images['cleanup'],
	'L_BBCBXR_SWC_HELP' => $lang['bbcbxr_swc_help'],
	'L_BBCBXR_HR_HELP' => $lang['bbcbxr_hr_help'],
	'L_BBCBXR_CHR_HELP' => $lang['bbcbxr_chr_help'],
	'U_CHARMAP' => append_sid("posting.$phpEx?mode=charmap"),

	'S_STYLE_PATH' => $board_config['bbc_style_path'],
	'S_BBC_BOX_ON' => $board_config['bbc_box_on'],
));

// send the display
$template->set_filenames(array('bbc_js_box' => 'bbc_js_box.tpl'));
$template->assign_var_from_handle('BBC_JS_BOX', 'bbc_js_box');
$template->set_filenames(array('bbc_display_box' => 'bbc_display_box_qr.tpl'));
$template->assign_var_from_handle('BBC_DISPLAY_BOX', 'bbc_display_box');

?>