<?php
/***************************************************************************
 *
 *   MOD                  : ECP MOD / Topics
 *   file                 : usercp_topics.php
 *   Version              : 0.2.0
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

if ( !defined('IN_PHPBB') )
{
  die ("Hacking attempt");
  exit;
}

include($phpbb_root_path . 'includes/ecp_cfg_admin.'.$phpEx);


if ( isset($HTTP_POST_VARS['mode']) || isset($HTTP_GET_VARS['mode']) )
{
	$mode = ( isset($HTTP_POST_VARS['mode']) ) ? $HTTP_POST_VARS['mode'] : $HTTP_GET_VARS['mode'];
}

if( !isset($HTTP_GET_VARS['unwatch']))
{
	if ( $mode == 'topics' )
	{
		$sql = "SELECT w.*, t.*, u.username, u.user_id, u2.username as user2, u2.user_id as id2, p.post_username, p2.post_username AS post_username2, p2.post_time
			FROM ((((( " . TOPICS_WATCH_TABLE . " w
			LEFT JOIN " . TOPICS_TABLE . " t ON t.topic_id = w.topic_id )
			LEFT JOIN " . POSTS_TABLE . " p ON p.post_id = t.topic_first_post_id )
			LEFT JOIN " . USERS_TABLE . " u ON t.topic_poster = u.user_id )
			LEFT JOIN " . POSTS_TABLE . " p2 ON p2.post_id = t.topic_last_post_id )
			LEFT JOIN " . USERS_TABLE . " u2 ON u2.user_id = p2.poster_id )
				WHERE w.user_id = " . $userdata['user_id'] . "
				ORDER by t.topic_id DESC";

 	       if ( !($result = $db->sql_query($sql)) )
  	      {
 	        	message_die(GENERAL_ERROR, 'Could not obtain watch topic information', '', __LINE__, __FILE__, $sql);
	        }

		$topic_rows = array();

		while( $row = $db->sql_fetchrow($result) )
		{
			$topic_rows[] = $row;
		}

		if ( !($total_topics = count($topic_rows)) )
		{
		$template->assign_vars(array(
			'META' => '<meta http-equiv="refresh" content="3;url=' . append_sid("profile.$phpEx?mode=editprofile") . '">',
			));
		$message .= $lang['No_watched_Topics'] . '<br /><br />' . sprintf($lang['Click_return_cp'], '<a href="' . append_sid("profile.$phpEx?mode=editprofile") . '">', '</a>');
		message_die(GENERAL_MESSAGE, $message);
		}

		for($j = 0; $j < $total_topics; $j++)
		{

			$topic_id = $topic_rows[$j]['topic_id'];
			$topic_title = $topic_rows[$j]['topic_title'];
			$topic_views = $topic_rows[$j]['topic_views'];
			$topic_replies = $topic_rows[$j]['topic_replies'];
			$topic_url = append_sid("viewtopic.$phpEx?" . POST_TOPIC_URL . "=$topic_id");
			$topic_reply_url = append_sid("posting.$phpEx?mode=reply&amp;" . POST_TOPIC_URL . "=$topic_id");

			$topic_remove = '<a href="' . append_sid("profile.$phpEx?mode=topics&amp;unwatch=$topic_id") . '">' . $lang['Panel_Noabo'] . '</a>';

			$topic_author = ( $topic_rows[$j]['user_id'] != ANONYMOUS ) ? '<a href="' . append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . '=' . $topic_rows[$j]['user_id']) . '">' : '';
			$topic_author .= ( $topic_rows[$j]['user_id'] != ANONYMOUS ) ? $topic_rows[$j]['username'] : ( ( $topic_rows[$j]['post_username'] != '' ) ? $topic_rows[$j]['post_username'] : $lang['Guest'] );
			$topic_author .= ( $topic_rows[$j]['user_id'] != ANONYMOUS ) ? '</a>' : '';

			$first_post_time = create_date($lang['DATE_FORMAT'], $topic_rows[$j]['topic_time'], $board_config['board_timezone']);
			$last_post_time = create_date($board_config['default_dateformat'], $topic_rows[$j]['post_time'], $board_config['board_timezone']);
			$last_post_author = ( $topic_rows[$j]['id2'] == ANONYMOUS ) ? ( ($topic_rows[$j]['post_username2'] != '' ) ? $topic_rows[$j]['post_username2'] . ' ' : $lang['Guest'] . ' ' ) : '<a href="' . append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . '='  . $topic_rows[$j]['id2']) . '">' . $topic_rows[$j]['user2'] . '</a>';
			$last_post_url = '<a href="' . append_sid("viewtopic.$phpEx?"  . POST_POST_URL . '=' . $topic_rows[$j]['topic_last_post_id']) . '#' . $topic_rows[$j]['topic_last_post_id'] . '"><img src="' . $images['icon_latest_reply'] . '" alt="' . $lang['View_latest_post'] . '" title="' . $lang['View_latest_post'] . '" border="0" /></a>';

			$template->assign_block_vars('list_topics', array(
				'TOPIC_ID' => $topic_id,
				'TOPIC_TITLE' => $topic_title,
				'TOPIC_VIEWS' => $topic_views,
				'TOPIC_REPLIES' => $topic_replies,
				'TOPIC_AUTHOR' => $topic_author,

				'FIRST_POST_TIME' => $first_post_time, 
				'LAST_POST_TIME' => $last_post_time, 
				'LAST_POST_AUTHOR' => $last_post_author, 
				'LAST_POST_IMG' => $last_post_url, 

				'U_REMOVE_TOPIC' => $topic_remove,
				'U_REPLY_TOPIC' => $topic_reply_url,
				'U_VIEW_TOPIC' => $topic_url,
				'U_LAST_TOPIC' => '<a href="' . append_sid("viewtopic.$phpEx?" . POST_TOPIC_URL . '='  . $topic_id) . '">' . $topic_title . '</a><br />',
			));
		}
	}
	else
	{
		$template->assign_vars(array(
			'META' => '<meta http-equiv="refresh" content="3;url=' . append_sid("profile.$phpEx?mode=editprofile") . '">',
		));
		$message = $lang['Reached_on_error'] . '<br /><br />' . sprintf ($lang['Click_return_nf'], '<a href="' . append_sid ("profile.$phpEx?mode=editprofile&amp;mode=topics") . '">', '</a>') . '<br /><br />' . sprintf ($lang['Click_return_cp'], '<a href="' . append_sid ("profile.$phpEx?mode=editprofile") . '">', '</a>');
		message_die(GENERAL_MESSAGE, $message);
	}
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////

if( isset($HTTP_GET_VARS['unwatch']))
{
	if ( $mode == 'topics' && $unwatch == 'all' )
	{
		$sql = "DELETE FROM " . TOPICS_WATCH_TABLE . " WHERE user_id = " . $userdata['user_id'] . " ";
		if (!($result = $db->sql_query ($sql)))
		{
			message_die (GENERAL_ERROR, "Couldn't delete topics watch information", "", __LINE__, __FILE__, $sql);
		}

		$template->assign_vars (array (
			'META' => '<meta http-equiv="refresh" content="2;url=' . append_sid ("profile.$phpEx?mode=editprofile") . '">'
			));

		$message = $lang['No_longer_watching_topic'] . '<br /><br />' . sprintf ($lang['Click_return_cp'], '<a href="' . append_sid ("profile.$phpEx?mode=editprofile") . '">', '</a>');
		message_die (GENERAL_MESSAGE, $message);
	}
	
	if ( $mode == 'topics' && $unwatch != '' )
	{
		$sql_priority = (SQL_LAYER == "mysql") ? "LOW_PRIORITY" : "";
		$sql = "DELETE $sql_priority FROM " . TOPICS_WATCH_TABLE . "
			WHERE topic_id = $unwatch
			AND user_id = " . $userdata['user_id'];

		if( !$result = $db->sql_query($sql) )
		{
			message_die(GENERAL_ERROR, "Couldn't delete topic watch information", "", __LINE__, __FILE__, $sql);
		}

		$template->assign_vars(array(
			'META' => '<meta http-equiv="refresh" content="2;url=' . append_sid("profile.$phpEx?mode=editprofile&amp;mode=topics") . '">',
			));

		$message = $lang['No_longer_watching'] . '<br /><br />' . sprintf($lang['Click_return_to'], '<a href="' . append_sid("profile.$phpEx?mode=editprofile&amp;mode=topics") . '">', '</a>');
		$message .= '<br /><br />' . sprintf($lang['Click_return_cp'], '<a href="' . append_sid("profile.$phpEx?mode=editprofile") . '">', '</a>');
		message_die(GENERAL_MESSAGE, $message);
		
	}
	else
	{
		$template->assign_vars(array(
			'META' => '<meta http-equiv="refresh" content="3;url=' . append_sid("profile.$phpEx?mode=editprofile&amp;mode=topics") . '">',
			));

		$message = $lang['Reached_on_error'] . '<br /><br />' . sprintf($lang['Click_return_to'], '<a href="' . append_sid("profile.$phpEx?mode=editprofile&amp;mode=topics") . '">', '</a>');
		message_die(GENERAL_MESSAGE, $message);
	}
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////

$page_title = $lang['Panel_Topic'];
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

	$template->set_filenames(array(
		'body' => 'ecp/profile_topics.tpl'
	));

	$template->assign_vars(array(
		'L_TOPICS' => $lang['Topics'],
		'L_REPLIES' => $lang['Replies'],
		'L_AUTHOR' => $lang['Author'],
		'L_VIEWS' => $lang['Views'],
		'L_LASTPOST' => $lang['Last_Post'],
		'L_NOTOPIC_ALL' => $lang['Panel_Topic_All'],
		'NOTOPIC_ALL_LINK' => append_sid("profile.$phpEx?mode=topics&amp;unwatch=all"),
		'EDIT_PANEL_LINK' => append_sid("profile.$phpEx?mode=editprofile"),
		'L_PANEL_TOPIC' => $lang['Panel_Topic'],
		'EDIT_TOPIC_LINK' => append_sid("profile.$phpEx?mode=topics"),
		'L_ECP' => $lang['ecp'],
	));

$template->pparse('body');
include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

?>