<?php
/***************************************************************************
 *                                login.php
 *                            -------------------
 *   begin                : Saturday, Feb 13, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: login.php,v 1.1 2005/12/28 12:53:59 CK Exp $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

//
// Allow people to reach login page if
// board is shut down
//
// CTracker_Ignore: File Checked By Human
// Tell the CTracker Filescanner that this constant is allowed 
//
define("IN_LOGIN", true);

define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

//
// Set page ID for session management
//
$userdata = session_pagestart($user_ip, PAGE_LOGIN);
init_userprefs($userdata);
//
// End session management
//

// session id check
if (!empty($HTTP_POST_VARS['sid']) || !empty($HTTP_GET_VARS['sid']))
{
	$sid = (!empty($HTTP_POST_VARS['sid'])) ? $HTTP_POST_VARS['sid'] : $HTTP_GET_VARS['sid'];
}
else
{
	$sid = '';
}
// CrackerTracker v5.x
if ( !empty($HTTP_POST_VARS['username']) && $ctracker_config->settings['loginfeature'] == 1 )
{
	$ctracker_config->check_login_status($HTTP_POST_VARS['username']);	
}



if( isset($HTTP_POST_VARS['login']) || isset($HTTP_GET_VARS['login']) || isset($HTTP_POST_VARS['logout']) || isset($HTTP_GET_VARS['logout']) )
{
  	if( ( isset($HTTP_POST_VARS['login']) || isset($HTTP_GET_VARS['login']) ) && (!$userdata['session_logged_in'] || isset($HTTP_POST_VARS['admin'])) )
	{
		$username = isset($HTTP_POST_VARS['username']) ? phpbb_clean_username($HTTP_POST_VARS['username']) : '';
		$password = isset($HTTP_POST_VARS['password']) ? $HTTP_POST_VARS['password'] : '';

		$sql = "SELECT user_id, username, user_password, user_active, user_level, user_login_tries, user_last_login_try, ct_login_count
			FROM " . USERS_TABLE . "
			WHERE username = '" . str_replace("\\'", "''", $username) . "'";
		if ( !($result = $db->sql_query($sql)) )
		{
			message_die(GENERAL_ERROR, 'Error in obtaining userdata', '', __LINE__, __FILE__, $sql);
		}

		if( $row = $db->sql_fetchrow($result) )
		{
			if( $row['user_level'] != ADMIN && $board_config['board_disable'] )
			{
				redirect(append_sid("portal.$phpEx", true));
			}
			else
			{
				if ($row['user_last_login_try'] && $board_config['login_reset_time'] && $row['user_last_login_try'] < (time() - ($board_config['login_reset_time'] * 60)))
				{
					$db->sql_query('UPDATE ' . USERS_TABLE . ' SET user_login_tries = 0, user_last_login_try = 0 WHERE user_id = ' . $row['user_id']);
					$row['user_last_login_try'] = $row['user_login_tries'] = 0;
				}

				// Check to see if user is allowed to login again... if his tries are exceeded
				if ($row['user_last_login_try'] && $board_config['login_reset_time'] && $board_config['max_login_attempts'] &&
					$row['user_last_login_try'] >= (time() - ($board_config['login_reset_time'] * 60)) && $row['user_login_tries'] >= $board_config['max_login_attempts'] && $userdata['user_level'] != ADMIN)
				{
					message_die(GENERAL_MESSAGE, sprintf($lang['Login_attempts_exceeded'], $board_config['max_login_attempts'], $board_config['login_reset_time']));
				}

                if ( ! $row['user_active'] )
			    {
				  $message = $lang['olympus_login_InactiveAccount'] . '<br /><br />' . sprintf($lang['olympus_login_ActivateAccountMsg'], "<a href=\"profile.$phpEx?mode=resendactivation\">", '</a>') . '<br /><br />' .  sprintf($lang['Click_return_login'], '<a href="' . append_sid("login.$phpEx") . '">', '</a>');
				  message_die(GENERAL_MESSAGE, $message);
				}
                else if( md5($password) == $row['user_password'] && $row['user_active'] )
				{
					$autologin = ( isset($HTTP_POST_VARS['autologin']) ) ? TRUE : 0;
                    $admin = (isset($HTTP_POST_VARS['admin'])) ? 1 : 0;
   				    $session_id = session_begin($row['user_id'], $user_ip, PAGE_INDEX, FALSE, $autologin, $admin);


					// Reset login tries
					$db->sql_query('UPDATE ' . USERS_TABLE . ' SET user_login_tries = 0, user_last_login_try = 0 WHERE user_id = ' . $row['user_id']);
// CrackerTracker v5.x
					if ( $ctracker_config->settings['login_history'] == 1 )
					{
						$ctracker_config->update_login_history($row['user_id']);
					}
					
					if ( $ctracker_config->settings['loginfeature'] == 1 )
					{
						$ctracker_config->reset_login_system($row['user_id']);
					}
					
					if ( $ctracker_config->settings['login_ip_check'] == 1 )
					{
						$ctracker_config->set_user_ip($row['user_id']);
					}

						if(!isset($HTTP_POST_VARS['admin']))
						{
							if ( empty ( $HTTP_POST_VARS['redirect'] ) )
							{
								$template->assign_vars(array(
									'META' => "<meta http-equiv=\"refresh\" content=\"3;url=index.$phpEx\">")
								);
								$message = $lang['olympus_login_LoggedIn'] . '<br /><br />' . sprintf($lang['Click_return_index'], '<a href="' . append_sid("index.$phpEx") . '">', '</a>');
								message_die(GENERAL_MESSAGE, $message);
							}
							else
							{
								$template->assign_vars(array(
									'META' => "<meta http-equiv=\"refresh\" content=\"3;url=" . append_sid( $HTTP_POST_VARS['redirect'] ) . "\">")
								);
								$message = $lang['olympus_login_LoggedIn'] . '<br /><br />' . sprintf($lang['olympus_login_Click_return'], '<a href="' . append_sid( htmlspecialchars( $HTTP_POST_VARS['redirect'] ) ) . '">', '</a>');
								message_die(GENERAL_MESSAGE, $message);
							}
						}

					if( $session_id )
					{
						$url = ( !empty($HTTP_POST_VARS['redirect']) ) ? str_replace('&amp;', '&', htmlspecialchars($HTTP_POST_VARS['redirect'])) : "portal.$phpEx";
						redirect(append_sid($url, true));
					}
                    else if ( ! $row['user_active'] )
					{
						$message = $lang['olympus_login_InactiveAccount'] . '<br /><br />' . sprintf($lang['olympus_login_ActivateAccountMsg'], "<a href=\"profile.$phpEx?mode=resendactivation\">", '</a>') . '<br /><br />' .  sprintf($lang['Click_return_login'], '<a href="' . append_sid("login.$phpEx") . '">', '</a>');
						message_die(GENERAL_MESSAGE, $message);
					}
					else
					{
						message_die(CRITICAL_ERROR, "Couldn't start session : login", "", __LINE__, __FILE__);
					}
				}
				// Only store a failed login attempt for an active user - inactive users can't login even with a correct password
				elseif( $row['user_active'] )
				{
					// Save login tries and last login
					if ($row['user_id'] != ANONYMOUS)
					{
          // CrackerTracker v5.x
						include_once($phpbb_root_path . 'ctracker/classes/class_log_manager.' . $phpEx);
						$logfile = new log_manager();
						$logfile->prepare_log($row['username']);
						$logfile->write_general_logfile($ctracker_config->settings['logsize_logins'], 4);
						unset($logfile);
						
						if ( $ctracker_config->settings['loginfeature'] == 1 )
						{
							$ctracker_config->handle_wrong_login($row['user_id'], $row['ct_login_count']);
						}
						$sql = 'UPDATE ' . USERS_TABLE . '
							SET user_login_tries = user_login_tries + 1, user_last_login_try = ' . time() . '
							WHERE user_id = ' . $row['user_id'];
						$db->sql_query($sql);
					}

					$redirect = ( !empty($HTTP_POST_VARS['redirect']) ) ? str_replace('&amp;', '&', htmlspecialchars($HTTP_POST_VARS['redirect'])) : '';
					$redirect = str_replace('?', '&', $redirect);
					               if (strstr(urldecode($redirect), "\n") || strstr(urldecode($redirect), "\r"))
					               {
					                  message_die(GENERAL_ERROR, 'Tried to redirect to potentially insecure url.');
               					   }
                                   $message = $lang['olympus_login_WrongPassword'] . '<br /><br />' . sprintf($lang['olympus_login_SendPasswordMsg'], "<a href=\"profile.$phpEx?mode=sendpassword\">", '</a>') . '<br /><br />' .  sprintf($lang['Click_return_login'], '<a href="' . append_sid("login.$phpEx") . '">', '</a>');
								   message_die(GENERAL_MESSAGE, $message);

					$template->assign_vars(array(
						'META' => "<meta http-equiv=\"refresh\" content=\"3;url=login.$phpEx?redirect=$redirect\">")
					);

					$message = $lang['Error_login'] . '<br /><br />' . sprintf($lang['Click_return_login'], "<a href=\"login.$phpEx?redirect=$redirect\">", '</a>') . '<br /><br />' .  sprintf($lang['Click_return_index'], '<a href="' . append_sid("index.$phpEx") . '">', '</a>');

					message_die(GENERAL_MESSAGE, $message);
				}
			}
		}
		else
		{
			$redirect = ( !empty($HTTP_POST_VARS['redirect']) ) ? str_replace('&amp;', '&', htmlspecialchars($HTTP_POST_VARS['redirect'])) : "";
			$redirect = str_replace("?", "&", $redirect);
			               if (strstr(urldecode($redirect), "\n") || strstr(urldecode($redirect), "\r"))
			               {
			                  message_die(GENERAL_ERROR, 'Tried to redirect to potentially insecure url.');
	            			  $message = $lang['olympus_login_NoAccount'] . '<br /><br />' . sprintf($lang['olympus_login_RegisterAccountMsg'], "<a href=\"profile.$phpEx?mode=register\">", '</a>') . '<br /><br />' .  sprintf($lang['Click_return_login'], '<a href="' . append_sid("login.$phpEx") . '">', '</a>');
							  message_die(GENERAL_MESSAGE, $message);
               			   }

			$template->assign_vars(array(
				'META' => "<meta http-equiv=\"refresh\" content=\"3;url=login.$phpEx?redirect=$redirect\">")
			);

			$message = $lang['Error_login'] . '<br /><br />' . sprintf($lang['Click_return_login'], "<a href=\"login.$phpEx?redirect=$redirect\">", '</a>') . '<br /><br />' .  sprintf($lang['Click_return_index'], '<a href="' . append_sid("index.$phpEx") . '">', '</a>');

			message_die(GENERAL_MESSAGE, $message);
		}
	}
	else if( ( isset($HTTP_GET_VARS['logout']) || isset($HTTP_POST_VARS['logout']) ) && $userdata['session_logged_in'] )
	{
		// session id check
		if ($sid == '' || $sid != $userdata['session_id'])
		{
			message_die(GENERAL_ERROR, 'Invalid_session');
		}
		if( $userdata['session_logged_in'] )
		{
			session_end($userdata['session_id'], $userdata['user_id']);
		}

		if (!empty($HTTP_POST_VARS['redirect']) || !empty($HTTP_GET_VARS['redirect']))
		{
			$url = (!empty($HTTP_POST_VARS['redirect'])) ? htmlspecialchars($HTTP_POST_VARS['redirect']) : htmlspecialchars($HTTP_GET_VARS['redirect']);
			$url = str_replace('&amp;', '&', $url);
			redirect(append_sid($url, true));
		}
		else
		{
			redirect(append_sid("portal.$phpEx", true));
		}
	}
	else
	{
		$url = ( !empty($HTTP_POST_VARS['redirect']) ) ? str_replace('&amp;', '&', htmlspecialchars($HTTP_POST_VARS['redirect'])) : "portal.$phpEx";
		redirect(append_sid($url, true));
	}
}
else
{
	//
	// Do a full login page dohickey if
	// user not already logged in
	//
	if( !$userdata['session_logged_in'] || (isset($HTTP_GET_VARS['admin']) && $userdata['session_logged_in'] && $userdata['user_level'] == ADMIN || $userdata['user_level'] == LESS_ADMIN))
	{
		$page_title = $lang['Login'];
		include($phpbb_root_path . 'includes/page_header.'.$phpEx);

		$template->set_filenames(array(
			'body' => 'login_body.tpl')
		);

		$forward_page = '';



		if( isset($HTTP_POST_VARS['redirect']) || isset($HTTP_GET_VARS['redirect']) )
		{
			$forward_to = $HTTP_SERVER_VARS['QUERY_STRING'];

			if( preg_match("/^redirect=([a-z0-9\.#\/\?&=\+\-_]+)/si", $forward_to, $forward_matches) )
			{
				$forward_to = ( !empty($forward_matches[3]) ) ? $forward_matches[3] : $forward_matches[1];
				$forward_match = explode('&', $forward_to);

				if(count($forward_match) > 1)
				{
					for($i = 1; $i < count($forward_match); $i++)
					{
						if( !ereg("sid=", $forward_match[$i]) )
						{
							if( $forward_page != '' )
							{
								$forward_page .= '&';
							}
							$forward_page .= $forward_match[$i];
						}
					}
					$forward_page = $forward_match[0] . '?' . $forward_page;
				}
				else
				{
					$forward_page = $forward_match[0];
				}
			}
		}

		$username = ( $userdata['user_id'] != ANONYMOUS ) ? $userdata['username'] : '';

		$s_hidden_fields = '<input type="hidden" name="redirect" value="' . $forward_page . '" />';

		$s_hidden_fields .= (isset($HTTP_GET_VARS['admin'])) ? '<input type="hidden" name="admin" value="1" />' : '';

		make_jumpbox('viewforum.'.$phpEx);
		$template->assign_vars(array(
			'USERNAME' => $username,

			'L_ENTER_PASSWORD' => (isset($HTTP_GET_VARS['admin'])) ? $lang['Admin_reauthenticate'] : $lang['Enter_password'],

			'L_SEND_PASSWORD' => $lang['Forgotten_password'],


			'L_OL_REGISTER' => $lang['olympus_login_CreateAccount'],
			'L_OL_INFOLOGIN' => $lang['olympus_login_LoginInfo'],
			'L_OL_BINDEX' => $lang['olympus_login_BoardIndex'],
			'L_OL_READFAQ' => $lang['olympus_login_ViewFAQ'],
			'L_OL_INFOADMIN' => $lang['olympus_login_AdminInfo'],
			'L_OL_ACTIVATION' => $lang['olympus_login_Resend_Activation'],
			'L_OL_OPTIONS' => $lang['Options'],

			'U_OL_ACTIVATION' => append_sid("profile.$phpEx?mode=resendactivation"),

			'U_SEND_PASSWORD' => append_sid("profile.$phpEx?mode=sendpassword"),

			'S_HIDDEN_FIELDS' => $s_hidden_fields)
		);

		if( isset( $HTTP_GET_VARS['admin'] ) )
		{
			$template->assign_block_vars('switch_admin_reauth', array());
		}
		if($board_config['require_activation'] !== USER_ACTIVATION_ADMIN && !$userdata['session_logged_in'])
		{
				$template->assign_block_vars('switch_admin_activation', array());
		}

		$template->pparse('body');

		include($phpbb_root_path . 'includes/page_tail.'.$phpEx);
	}
	else
	{
		redirect(append_sid("portal.$phpEx", true));
	}

}

?>