<?php
// CTracker_Ignore: File Checked By Human
/***************************************************************************
 *                               news_viewtopics.php
 *                            -------------------
 *   begin                : Monday, January 13th 2003
 *   copyright            : (C) 2003 CodeMonkeyX.net
 *   email                : webmaster@codemonkeyx.net
 *
 *
 ***************************************************************************/

//
// Set up for phpBB intergration.
//

$phpbb_root_path = './';

define ('IN_PHPBB', true);

// Check that $phpbb_root_path is valid.
if( !file_exists( $phpbb_root_path . 'extension.inc' ) )
{
	die ('<b>phpBB Fetch All:</b> $phpbb_root_path is wrong and does not point to your forum.');
}

//
// phpBB related files
//

include_once ($phpbb_root_path . 'extension.inc');
include_once ($phpbb_root_path . 'common.' . $phpEx );

//
// Start session management
//

$userdata = session_pagestart( $user_ip, PAGE_INDEX, $session_length );
init_userprefs( $userdata );

//
// End session management
//

//include_once ($phpbb_root_path . 'mods/phpbb_fetch_all/common.' . $phpEx);
//include_once ($phpbb_root_path . 'mods/phpbb_fetch_all/users.' . $phpEx);
//include_once ($phpbb_root_path . 'mods/phpbb_fetch_all/posts.' . $phpEx);
//include_once ($phpbb_root_path . 'mods/phpbb_fetch_all/stats.' . $phpEx);

include_once ($phpbb_root_path . 'includes/functions_news.' . $phpEx);

//
// Set up general page configuration for Index.
//

$page_title = $lang['News_Categories'];

include( './includes/page_header.' . $phpEx );

$template->set_filenames( array('body' => 'news_topics_body.tpl' ) );

//
// Get page data.
//

$template->assign_vars( array(
			'L_NEWS_CATEGORIES' => $lang['News_Categories'],
			'L_NEWS_INDEX' => $lang['News'] . ' ' . $lang['Index'],
			'U_NEWS_INDEX' => $phpbb_root_path . 'news_viewnews.' . $phpEx
			)
	);
$cats = fetch_categories( );
$count = 0;

while( $count < count( $cats ) )
{
	$template->assign_block_vars('catrow', array( ) );

	for( $i = 0; $i < 5; $i++ )
	{
		$cat_vars = array( );
		$row_class = ( !($count % 2) ) ? 'row1' : 'row2';

		$cats[$count]['news_url'] = $phpbb_root_path . 'news_viewnews.' . $phpEx . '?news_id=' . $cats[$count]['news_id'];

		if( $cats[$count]['news_image_link'] != '' )
		{
			$cats[$count]['news_href'] = '<a href="' . $cats[$count]['news_url'] . '" border="0">' . $cats[$count]['news_image_link'] . '</a>';
		}

		while( $count < count( $cats ) && list( $k, $v ) = each( $cats[$count] ) )
		{
			$cat_vars[strtoupper($k)] = $v;
		}

		$cat_vars['ROW_CLASS'] = $row_class;

		$template->assign_block_vars('catrow.catitem', $cat_vars);
	
		$count++;
	}
}

$template->pparse('body');

include( './includes/page_tail.' . $phpEx );

?>
