<?php
// CTracker_Ignore: File Checked By Human
/***************************************************************************
 *                                portal.php
 *                            -------------------
 *   begin                : Tuesday, August 13, 2002
 *   copyright            : (C) 2002 Smartor
 *   email                : smartor_xp@hotmail.com
 *
 *   $Id: portal.php,v 2.1.7 2003/01/30, 17:05:58 Smartor Exp $
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   Some code in this file I borrowed from the original index.php, Welcome
 *   Avatar MOD and others...
 *
 ***************************************************************************/

//
// Set configuration for ezPortal
//

// Number of Recent Topics (not Forum ID)
$CFG['number_recent_topics'] = '6';

// Exceptional Forums for Recent Topics, eg. '2,4,10' (note: my Recent Topics script has its own permission checking, so you can leave this variable blank)
$CFG['exceptional_forums'] = '';
-+
//
// END configuration
// --------------------------------------------------------

define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);
include($phpbb_root_path . 'fetchposts.'.$phpEx);
$cal_config = array();

$sql = "SELECT * FROM ".$table_prefix."cal_config";
if(!$result = $db->sql_query($sql))
{
	message_die(GENERAL_ERROR, "Couldn't query calendar config table", "", __LINE__, __FILE__, $sql);
}
else
{
	while( $row = $db->sql_fetchrow($result) )
	{
		$cal_config[$row['config_name']] = $row['config_value'];
	}
}

// ChatBox Mod
include($phpbb_root_path . 'chatbox_front.php');
include_once ($phpbb_root_path . 'includes/functions_news.' . $phpEx );



//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);
//
// End session management
//

//
// If you don't use these stats on your index you may want to consider
// removing them
//
$total_posts = get_db_stat('postcount');
$total_users = get_db_stat('usercount');
$total_topics = get_db_stat('topiccount');
$newest_userdata = get_db_stat('newestuser');
$newest_user = $newest_userdata['username'];
$newest_uid = $newest_userdata['user_id'];

if( $total_posts == 0 )
{
	$l_total_post_s = $lang['Posted_articles_zero_total'];
}
else if( $total_posts == 1 )
{
	$l_total_post_s = $lang['Posted_article_total'];
}
else
{
	$l_total_post_s = $lang['Posted_articles_total'];
}

if( $total_users == 0 )
{
	$l_total_user_s = $lang['Registered_users_zero_total'];
}
else if( $total_users == 1 )
{
	$l_total_user_s = $lang['Registered_user_total'];
}
else
{
	$l_total_user_s = $lang['Registered_users_total'];
}
//
// Events
//
if ($cal_config['number_events'] <> 0)
{
	$day = create_date("j", time(), $userdata['user_timezone']);
	$month = create_date("m", time(), $userdata['user_timezone']);
	$year = create_date("Y", time(), $userdata['user_timezone']);

	if ($cal_config['day_number'] == 0)
	{
		$sql_limit = ' LIMIT 0, ' . $cal_config['number_events'];
		$event_span_date = '';
		$sql_span = '';
	}
else
        {
                $cal_days = $cal_config['number_events'];
                $sql_limit = '';
                $event_span_date = strtotime("$year-$month-$day 23:59:59 + $cal_days days");
                $event_span_date = create_date("Y", $event_span_date, $userdata['user_timezone']).'-'.create_date("m", $event_span_date, $userdata['user_timezone']).'-'.create_date("j", $event_span_date, $userdata['user_timezone']).' 23:59:59';
                $sql_span = " AND stamp <= '$event_span_date'";
        }

	$sql = "SELECT * FROM ".$table_prefix."calendar WHERE valid = 'yes'
			AND stamp >= '$year-$month-$day 00:00:00'
			$sql_span
			ORDER BY stamp" . $sql_limit;

	$check = 0;
	if ( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, 'Could not select Event data', '', __LINE__, __FILE__, $sql);
	}
	else
	{
		while ($row = $db->sql_fetchrow($result))
		{
			$check++;
			$subject = stripslashes($row['subject']);
			if ( strlen($subject) > $cal_config['subject_length']) {
				if ((substr($subject,-3,1) == '(') && (substr($subject,-1,1) == ')')) {
					// store the number of permits and tack them on the end of the shortened subject
					$subjectnum = substr($subject,-2,1);
					$subject = substr($subject, 0, -3);
				}
				$subject = substr($subject, 0, $cal_config['subject_length']);
				$subject .= '..';
			}
			$start_date = substr($row['stamp'],8,2).".".substr($row['stamp'],5,2).".".substr($row['stamp'],0,4);
			$end_date = substr($row['eventspan'],8,2).".".substr($row['eventspan'],5,2).".".substr($row['eventspan'],0,4);

			if ( $start_date == $end_date )
			{
				$span = $start_date;
			}
			else
			{
				$span = $start_date . " - " . $end_date;
			}
			$subject = ( $userdata['session_logged_in'] ) ? '<a href="'. $phpbb_root_path .'calendar.'.$phpEx.'?id='. $row['id'] .'&mode=display&day='. substr($row['stamp'],8,2). '&month='.substr($row['stamp'],5,2).'&year='.substr($row['stamp'],0,4).'">'. $subject .'</a>' : $subject;
			$author = ( $userdata['session_logged_in'] ) ? '<a href="'. $phpbb_root_path .'profile.'.$phpEx.'?mode=viewprofile&'. POST_USERS_URL .'='. $row['user_id'] .'">('. stripslashes($row['username']) .')</a>' : '('. stripslashes($row['username']) .')';
			$template->assign_block_vars('event', array(
				'SUBJECT' => $subject,
				'SPAN' => $span,
				'AUTHOR' => $author));
		}
		if ( $check == 0 )
		{
		   $template->assign_block_vars('event', array(
			'SUBJECT' => $lang["No_events"]));
		}
	}
}
//
// Recent Topics
//
$sql = "SELECT * FROM ". FORUMS_TABLE . " ORDER BY forum_id";
if (!$result = $db->sql_query($sql))
{
	message_die(GENERAL_ERROR, 'Could not query forums information', '', __LINE__, __FILE__, $sql);
}
$forum_data = array();
while( $row = $db->sql_fetchrow($result) )
{
	$forum_data[] = $row;
}

$is_auth_ary = array();
$is_auth_ary = auth(AUTH_ALL, AUTH_LIST_ALL, $userdata, $forum_data);

if( $CFG['exceptional_forums'] == '' )
{
	$except_forum_id = '\'start\'';
}
else
{
	$except_forum_id = $CFG['exceptional_forums'];
}

for ($i = 0; $i < count($forum_data); $i++)
{
	if ((!$is_auth_ary[$forum_data[$i]['forum_id']]['auth_read']) or ($forum_data[$i]['forum_password'] != '') or (!$is_auth_ary[$forum_data[$i]['forum_id']]['auth_view']))
	{
		if ($except_forum_id == '\'start\'')
		{
			$except_forum_id = $forum_data[$i]['forum_id'];
		}
		else
		{
			$except_forum_id .= ',' . $forum_data[$i]['forum_id'];
		}
	}
}
$sql = "SELECT t.topic_id, t.topic_title, t.topic_last_post_id, t.forum_id, p.post_id, p.poster_id, p.post_time, u.user_id, u.username
		FROM " . TOPICS_TABLE . " AS t, " . POSTS_TABLE . " AS p, " . USERS_TABLE . " AS u
		WHERE t.forum_id NOT IN (" . $except_forum_id . ")
            AND t.topic_status <> 2
			AND p.post_id = t.topic_last_post_id
			AND p.poster_id = u.user_id
		ORDER BY p.post_id DESC
		LIMIT " . $CFG['number_recent_topics'];
if (!$result = $db->sql_query($sql))
{
	message_die(GENERAL_ERROR, 'Could not query recent topics information', '', __LINE__, __FILE__, $sql);
}
$number_recent_topics = $db->sql_numrows($result);
$recent_topic_row = array();
while ($row = $db->sql_fetchrow($result))
{
	$recent_topic_row[] = $row;
}
for ($i = 0; $i < $number_recent_topics; $i++)
{
	$template->assign_block_vars('recent_topic_row', array(
		'U_TITLE' => append_sid("viewtopic.$phpEx?" . POST_POST_URL . '=' . $recent_topic_row[$i]['post_id']) . '#' .$recent_topic_row[$i]['post_id'],
		'L_TITLE' => $recent_topic_row[$i]['topic_title'],
		'U_POSTER' => append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=" . $recent_topic_row[$i]['user_id']),
		'S_POSTER' => $recent_topic_row[$i]['username'],
		'S_POSTTIME' => create_date($board_config['default_dateformat'], $recent_topic_row[$i]['post_time'], $board_config['board_timezone'])
		)
	);
}
//
// END - Recent Topics
//

// Read Portal Configuration from DB
define('PORTAL_TABLE', $table_prefix.'portal');

$CFG = array();
$sql = "SELECT * FROM " . PORTAL_TABLE;

if( !($result = $db->sql_query($sql)) )
{
	message_die(CRITICAL_ERROR, "Could not query config information", "", __LINE__, __FILE__, $sql);
}

while ( $row = $db->sql_fetchrow($result) )
{
	$CFG[$row['portal_name']] = $row['portal_value'];
}

if( $userdata['session_logged_in'] )
{
	$sql = "SELECT COUNT(post_id) as total
			FROM " . POSTS_TABLE . "
			WHERE post_time >= " . $userdata['user_lastvisit'];
	$result = $db->sql_query($sql);
	if( $result )
	{
		$row = $db->sql_fetchrow($result);
		$lang['Search_new'] = $lang['Search_new'] . "&nbsp;(" . $row['total'] . ")";
	}
}
// Start Settings
$enable_wwd_counter = True; //Enables or disables counting of hidden users and guests. Values: True or False
// End Settings
$time = time();
$heute = date('Ymd', $time);
$mitternacht = mktime(0, 0, 0, date('m', $time), date('d', $time), date('Y', $time));
$user_gmd = ( $userdata['session_logged_in'] ) ? $userdata['user_timezone'] : $board_config['board_timezone'];
if ( $enable_wwd_counter )
{
	if ( $board_config['wwd_counter_date'] != $heute )
	{
		$sql = "UPDATE " . CONFIG_TABLE . "
				SET config_value = '$heute'
				WHERE config_name = 'wwd_counter_date'";
  		if ( !$db->sql_query($sql) )
  		{
			message_die(GENERAL_ERROR, 'Could not update CONFIG_TABLE wwd_counter_date', '', __LINE__, __FILE__, $sql);
	   	}
		$sql = "DELETE FROM " . WHO_W_O_T;
  		if ( !$db->sql_query($sql) )
  		{
			message_die(GENERAL_ERROR, 'Could not delete ips from PREFIX_wwd_counter_ips table', '', __LINE__, __FILE__, $sql);
   		}
	}
	
	$sql = "DELETE FROM " . WHO_W_O_T . "
			WHERE `ip` = '$user_ip'";
  	if ( !$db->sql_query($sql) )
  	{
		message_die(GENERAL_ERROR, 'Could not delete your ip from PREFIX_wwd_counter_ips table', '', __LINE__, __FILE__, $sql);
   	}
	
	if ( !$userdata['session_logged_in'] )
	{
		$sql = "INSERT INTO " . WHO_W_O_T . "
				(ip) VALUES ('$user_ip')";
  		if ( !$db->sql_query($sql) )
  		{
			message_die(GENERAL_ERROR, 'Could not delete your ip from PREFIX_wwd_counter_ips table', '', __LINE__, __FILE__, $sql);
   		}
	}

}

if ( $userdata['user_level'] == ADMIN )
{
	$sql_add = ", user_allow_viewonline";
}
else
{
	$sql_add2 = "AND user_allow_viewonline = '1'";
}


$sql = "SELECT user_id, username, user_session_time, user_level $sql_add
		FROM " . USERS_TABLE . " 
        WHERE user_session_time > $mitternacht $sql_add2
		ORDER BY user_session_time DESC";

$result = $db->sql_query($sql);

while( $row = $db->sql_fetchrow($result) )
{
	if ( $row['user_id'] != -1 )
	{
		$user_today .= ($count_user_today > 0) ? ', ' : ''; 
		if ( $row['user_allow_viewonline'] == 0 )
		{
			$user_today .= '<i>';
		}
		$user_today .= '<a href="' . append_sid('profile.php?mode=viewprofile&amp;u=' . $row['user_id']) . '"';
		if ( $row['user_level'] == ADMIN )
		{
			$user_today .=  ' style="color: #' . $theme['fontcolor3'].'"><b>' . $row['username'].'</b></a>';
		}
		elseif ( $row['user_level'] == MOD )
		{
			$user_today .=  ' style="color: #' . $theme['fontcolor2'].'"><b>' . $row['username'].'</b></a>';
		}
		elseif ( $row['user_level'] == LESS_ADMIN )
   		{
    		$user_today .=  ' style="color: #' . $theme['fontcolor4'].'"><b>' . $row['username'].'</b></a>';
	   	}
		else
		{
			$user_today .= '>' . $row['username'] . '</a>';
		}
		$user_today .= ' ';
		if ( $row['user_allow_viewonline'] == 0 )
		{
			$user_today .= '</i>';
		}
		$count_user_today++;
	}
}

if ( $enable_wwd_counter )
{
	$newuval = 0;
	$sql = 'SELECT count(`user_active`) AS `hnum`
			FROM ' . USERS_TABLE . " 
	        WHERE user_session_time > $mitternacht AND user_allow_viewonline = 0";
	$result = $db->sql_query($sql);

	if ( !$result )
	{
      message_die(GENERAL_ERROR, 'Could not read number of users from USER_TABLE', '', __LINE__, __FILE__, $sql);
	}
	$row = $db->sql_fetchrow($result);
	$hidden = $row['hnum'];
	$newuval += $hidden;
	
	$sql = 'SELECT count(`ip`) AS `num` FROM ' . WHO_W_O_T;
	$result = $db->sql_query($sql);
	if ( !$result )
	{
      message_die(GENERAL_ERROR, 'Could not read number of guests from PREFIX_wwd_counter_ips', '', __LINE__, __FILE__, $sql);
	}
	$row = $db->sql_fetchrow($result);
	$gaeste  = $row['num'];
	$newuval += $gaeste;
}

if ( $enable_wwd_counter )
{
	$user_today_text .= ( $newuval + $count_user_today > 1 ) ? str_replace('%d', $newuval + $count_user_today, $lang['wwd_c_user_today']) : $lang['wwd_c_one_user'];

	$user_today_text .= ( $count_user_today == 0 || $count_user_today == '' ) ? $lang['Reg_users_zero_total'] : '';
	$user_today_text .= ( $count_user_today == 1 ) ? str_replace('%d', $count_user_today, $lang['Reg_user_total']) : '';
	$user_today_text .= ( $count_user_today > 1 ) ? str_replace('%d', $count_user_today, $lang['Reg_users_total']) : '';

	$user_today_text .= ( $hidden == 0 || $hidden == '' ) ? $lang['Hidden_users_zero_total'] : '';
	$user_today_text .= ( $hidden == 1 ) ? str_replace('%d', $hidden, $lang['Hidden_user_total']) : '';
	$user_today_text .= ( $hidden > 1 ) ? str_replace('%d', $hidden, $lang['Hidden_users_total']) : '';

	$user_today_text .= ( $gaeste == 0 || $gaeste == '' ) ? $lang['Guest_users_zero_total'] : '';
	$user_today_text .= ( $gaeste == 1 ) ? str_replace('%d', $gaeste, $lang['Guest_user_total']) : '';
	$user_today_text .= ( $gaeste > 1 ) ? str_replace('%d', $gaeste, $lang['Guest_users_total']) : '';

}
else
{
	if ( $count_user_today > 1 )
	{
		$user_today_text = str_replace('%u', $count_user_today, $lang['wwd_user_today']);
	}
	elseif ( $count_user_today == 1 )
	{
		$user_today_text = $lang['wwd_one_user'];
	}
	else
	{
		$user_today_text = $lang['wwd_no_user'];
	}
}
// Birthday Mod, Show users with birthday
$sql = "SELECT user_id, username, user_birthday,user_level FROM " . USERS_TABLE. " WHERE user_birthday!=999999 ORDER BY username";
if($result = $db->sql_query($sql))
{
$birthdayrow = $db->sql_fetchrowset($result);
if (!empty($birthdayrow))
{
   $year=create_date('Y', time(), $board_config['board_timezone']);
   $date_today = create_date('Ymd', time(), $board_config['board_timezone']);
   $date_forward = create_date('Ymd', time()+($board_config['birthday_check_day']*86400), $board_config['board_timezone']);
   for($i = 0; $i < count($birthdayrow); $i++)
   {
      $user_birthday=realdate("md",$birthdayrow[$i]['user_birthday']);
      $user_birthday2=(($year.$user_birthday<$date_today)? $year+1:$year).$user_birthday;
      if ($user_birthday2==$date_today)
      {
         //user have birthday today
         $user_age=$year- realdate ('Y',$birthdayrow[$i]['user_birthday']);
         $style_color = ($birthdayrow[$i]['user_level'] == ADMIN )?'style="color:#' . $theme['fontcolor3'] . '"':(( $birthdayrow[$i]['user_level'] == MOD )?'style="color:#' . $theme['fontcolor2'] . '"':'');
         $birthday_today_list .= ' <a href="' . append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=" . $birthdayrow[$i]['user_id']) . '"' . $style_color .'><b>' . $birthdayrow[$i]['username'] . ' ('.$user_age.')</b></a>';
      }
      else if ($user_birthday2>$date_today  && $user_birthday2<=$date_forward)
      {
         // user are having birthday within the next days
         $user_age=($year.$user_birthday<$date_today)?$year- realdate('Y',$birthdayrow[$i]['user_birthday']) + 1 : $year- realdate('Y',$birthdayrow[$i]['user_birthday']);
         $style_color = ($birthdayrow[$i]['user_level'] == ADMIN )?'style="color:#' . $theme['fontcolor3'] . '"':(( $birthdayrow[$i]['user_level'] == MOD )?'style="color:#' . $theme['fontcolor2'] . '"':'');
         $birthday_week_list .= ' <a href="' . append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=" . $birthdayrow[$i]['user_id']) . '"' . $style_color .'><b>' . $birthdayrow[$i]['username'] . ' ('.$user_age.')</b></a>';
      }
   }
}
} 
$db->sql_freeresult($result);
//
// Start output of page
//
define('SHOW_ONLINE', true);
$page_title = $lang['Home'];
include($phpbb_root_path . 'includes/page_header.'.$phpEx);
if(isset( $topics ) )
{

$template->set_filenames(array('body' => 'portal_body.tpl'));
}
else
{
$template->set_filenames(array('body' => 'portal_body.tpl'));
}
//
// Avatar On Index MOD
//
$avatar_img = '';
if ( $userdata['user_avatar_type'] && $userdata['user_allowavatar'] )
{
	switch( $userdata['user_avatar_type'] )
	{
		case USER_AVATAR_UPLOAD:
			$avatar_img = ( $board_config['allow_avatar_upload'] ) ? '<img src="' . $board_config['avatar_path'] . '/' . $userdata['user_avatar'] . '" alt="" border="0" />' : '';
			break;
		case USER_AVATAR_REMOTE:
			$avatar_img = ( $board_config['allow_avatar_remote'] ) ? '<img src="' . $userdata['user_avatar'] . '" alt="" border="0" />' : '';
			break;
		case USER_AVATAR_GALLERY:
			$avatar_img = ( $board_config['allow_avatar_local'] ) ? '<img src="' . $board_config['avatar_gallery_path'] . '/' . $userdata['user_avatar'] . '" alt="" border="0" />' : '';
			break;
	}
}
// Check For Anonymous User
if ($userdata['user_id'] != '-1')
{
	$name_link = '<a href="' . append_sid('orioncp.'.$phpEx.'?mode=editprofile') . '">' . $userdata['username'] . '</a>';
}
else
{
	$name_link = $lang['Guest'];
}
//
// END: Avatar On Index MOD
//

//
// Top Posters MOD
//
$sql = "SELECT user_id, username, user_posts
   FROM " . USERS_TABLE . "
   WHERE user_id <> " . ANONYMOUS . "
   ORDER BY user_posts DESC
   LIMIT 5";
if ( !($result = $db->sql_query($sql)) )
{
   message_die(GENERAL_ERROR, 'Could not obtain top posters forums information', '', __LINE__, __FILE__, $sql);
}

while ($row = $db->sql_fetchrow($result))
{
   $user_id=$row['user_id'];
   $template->assign_block_vars("most_posts", array(
      'USERNAME' => $row['username'],
      'POSTS' => $row['user_posts'],
      'U_VIEWPROFILE' => append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=$user_id"))
   );
}
//
// END: Top Posters MOD
//

$template->assign_vars(array(
	'WELCOME_TEXT' => $CFG['welcome_text'],
	'TOTAL_POSTS' => sprintf($l_total_post_s, $total_posts),
	'TOTAL_USERS' => sprintf($l_total_user_s, $total_users),
	'TOTAL_TOPICS' => sprintf($lang['total_topics'], $total_topics),
	'NEWEST_USER' => sprintf($lang['Newest_user'], '<a href="' . append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=$newest_uid") . '">', $newest_user, '</a>'),
	'L_FORUM' => $lang['Forum'],
	'L_BOARD_NAVIGATION' => $lang['Board_navigation'],
	'L_STATISTICS' => $lang['Statistics'],
	'L_ANNOUNCEMENT' => $lang['Post_Announcement'],
	'L_POSTED' => $lang['Posted'],
	'L_COMMENTS' => $lang['Comments'],
	'L_VIEW_COMMENTS' => $lang['View_comments'],
	'L_POST_COMMENT' => $lang['Post_your_comment'],
	'L_SEND_PASSWORD' => $lang['Forgotten_password'],
	'U_SEND_PASSWORD' => append_sid("profile.$phpEx?mode=sendpassword"),
	'L_REGISTER_NEW_ACCOUNT' => sprintf($lang['Register_new_account'], '<a href="' . append_sid("profile.$phpEx?mode=register") . '">', '</a>'),
	'L_REMEMBER_ME' => $lang['Remember_me'],
	'L_VIEW_COMPLETE_LIST' => $lang['View_complete_list'],
	'L_POLL' => $lang['Poll'],
	'L_VOTE_BUTTON' => $lang['Vote'],
	// Birthday Mod
	'L_WHOSBIRTHDAY_WEEK' => sprintf((($birthday_week_list)? $lang ['Birthday_week'].$birthday_week_list:$lang ['Nobirthday_week']),$board_config['birthday_check_day']),
	'L_WHOSBIRTHDAY_TODAY' =>($birthday_today_list&&$board_config['birthday_check_day'])? $lang ['Birthday_today'].$birthday_today_list:$lang ['Nobirthday_today'],
	'L_BIRTHDAY' => $lang['Birthday'],
	'L_ORION_STAT' => $lang['ORION_STAT'],
	// Top Posters
	'L_TOP_MEMBERS' => $lang['Top_Members'],
	'L_POSTS' => $lang['Posts'],
	// ChatBox
	'L_WHO_IS_CHATTING' => $lang['Who_is_Chatting'],
	'TOTAL_CHATTERS_ONLINE' => sprintf($lang['How_Many_Chatters'], $howmanychat),
	'CHATTERS_LIST' => sprintf($lang['Who_Are_Chatting' ],$chatters),
	'L_LOGIN_TO_JOIN_CHAT' => $lang['Login_to_join_chat'],
	'L_CLICK_TO_JOIN_CHAT' => $lang['Click_to_join_chat'],
	'S_JOIN_CHAT' => append_sid("chatbox_mod/chatbox.$phpEx"),
	'CHATBOX_NAME' => $userdata['user_id'] . '_ChatBox',
	// Recent Topics and Extra Functions
	  'L_RECENT_TOPICS' => $lang['Recent_topics'],
      'L_ORION_COUNTER' => $lang['Orion_Counter'],
      'L_ORIONng_PortalCat1' => $lang['ORIONng_PortalCat1'],
      'L_ORIONng_PortalCat2' => $lang['ORIONng_PortalCat2'],
      'L_ORIONng_PortalCat3' => $lang['ORIONng_PortalCat3'],
      'L_ORIONng_PortalCat4' => $lang['ORIONng_PortalCat4'],
      'L_P_BY' => $lang['l_p_by'],
      'L_P_VIEWED' => $lang['l_p_viewed'],
      'L_P_TAH' => $lang['l_p_tah'],
      'L_P_COMMENTS' => $lang['l_p_comments'],
      'L_P_READ' => $lang['l_p_read'],

// Start add - Last visit MOD
		'USERS_TODAY_LIST' => $user_today,
		'L_USERS_LASTHOUR' =>($users_lasthour)?sprintf($lang['Users_lasthour_explain'],$users_lasthour):$lang['Users_lasthour_none_explain'],
		'L_USERS_TODAY' => $user_today_text . $lang['wwd_copyright'],
// End add - Last visit MOD

	// Welcome Avatar
	'L_NAME_WELCOME' => $lang['Welcome'],
	'U_NAME_LINK' => $name_link,
	'AVATAR_IMG' => $avatar_img)
);
if(!isset($topics))
{

//
// Fetch Posts from Announcements Forum
//
$template->assign_block_vars('welcome_text', array());
$news_id = isset($HTTP_GET_VARS['news_id']) ? intval($HTTP_GET_VARS['news_id']) : 0;
$start = isset($HTTP_GET_VARS['start']) ? intval($HTTP_GET_VARS['start']) : 0;

$NEWS_CFG['recent_categories'] = 5;
$NEWS_CFG['news_category'] = 0;
$NEWS_CFG['num_news_items']   = $board_config['news_item_num'];
$NEWS_CFG['news_body_trim']   = $board_config['news_item_trim'];
$NEWS_CFG['news_topic_trim'] = $board_config['news_topic_trim'];

if( $news_id > 0 )
{
   $NEWS_CFG['news_category'] = $news_id;
}

$news_link = 'News';

if( $news_id )
{
   $sql = "SELECT news_category
      FROM " . NEWS_TABLE . "
      WHERE news_id = " . $news_id;
   $result = $db->sql_query($sql);
   if( $result )
   {
      $row = $db->sql_fetchrow($result);
      $cat_name = ' &amp; ' . $row['news_category'];
      $news_link = ' &amp; <a href="portal.php">News</a>';
   }
}

//
// Get page data.
//

if( !isset( $article ) )
{
   $topics_count = fetch_news_count( $news_id );

   $news_items = fetch_news_posts(
      $NEWS_CFG['num_news_items'],
      $NEWS_CFG['news_category'],
      0,
      $NEWS_CFG['news_body_trim'],
      $NEWS_CFG['news_topic_trim'],
      ' . . . ',
      '',
      true,
      $start
      );
}
else
{
   $news_items = fetch_news_post( $article );
}

$cats = fetch_recent_categories( $NEWS_CFG['recent_categories'] );

if( !empty( $news_items ) )
{
   //$template->set_filenames( array('body' => 'news_body.tpl' ) );

   $template->assign_vars( array(
      'L_NEWS' => $news_link,
      'L_CAT_NAME' => $cat_name,
      'L_NEWS_TOPICS' => $lang['News'] . ' ' . $lang['Topics'],
      'L_NEWS_INDEX' => $lang['News'] . ' ' . $lang['Index'],
      'L_POSTER' => $lang['Poster'],
      'L_DATE' => $lang['Date'],
      'L_COMMENTS' => $lang['View_Comments'],
      'U_VIEWTOPICS' => append_sid($phpbb_root_path . 'portal.' . $phpEx . '?topics'),

      'U_VIEWNEWS' => append_sid($phpbb_root_path . 'news_viewnews.' . $phpEx),
      'PAGINATION' => (!isset( $article )) ? generate_pagination("portal.$phpEx?news_id=".$news_id, $topics_count, $NEWS_CFG['num_news_items'], $start) : ''
      )
   );

   for ($i = 0; $i < count($news_items); $i++)
   {
   //
   // Convert array.
   //

   $row_color = ( !($i % 2) ) ? $theme['td_color1'] : $theme['td_color2'];
   $row_class = ( !($i % 2) ) ? 'row1' : 'row2';

   while( list( $k, $v ) = each( $news_items[$i] ) )
   {
      $posts_vars[strtoupper($k)] = $v;
   }

      $posts_vars['READ_MORE_LINK'] = ( $news_items[$i]['body_trimmed'] == true ) ? '(<a href="' . $news_items[$i]['read_more_url'] . '">' . $lang['Read_More'] . '</a>)' : '';

      $posts_vars['ROW_COLOR'] = '#' . $row_color;
      $posts_vars['ROW_CLASS'] = $row_class;

      $template->assign_block_vars('newsitem', $posts_vars);
   }

   for( $i = 0; $i < count( $cats ); $i++ )
   {
      while( list( $k, $v ) = each( $cats[$i] ) )
      {
         $cat_vars[strtoupper($k)] = $v;
      }
      $template->assign_block_vars('catitem', $cat_vars);
   }

   //$template->pparse('body');
}
else
{
   $template->assign_vars( array(
        'L_CAT_NAME' => $cat_name,
      'NO_NEWS' => 'No news found<br><br><a href="javascript:history.go(-1)">&amp; Back</a>'));
}
//
// END: Fetch Announcements
//
} else {
//
// START: Display News Topics
//
$template->assign_vars( array(
         'L_NEWS_CATEGORIES' => $lang['News_Categories'],
         'L_NEWS_INDEX' => $lang['News'] . ' ' . $lang['Index'],
         'U_NEWS_INDEX' => $phpbb_root_path . 'portal.' . $phpEx
         )
   );
$cats = fetch_categories( );
$count = 0;

while( $count < count( $cats ) )
{
   $template->assign_block_vars('catrow', array( ) );

   for( $i = 0; $i < 5; $i++ )
   {
      $cat_vars = array( );
      $row_class = ( !($count % 2) ) ? 'row1' : 'row2';

      $cats[$count]['news_url'] = $phpbb_root_path . 'portal.' . $phpEx . '?news_id=' . $cats[$count]['news_id'];

      if( $cats[$count]['news_image_link'] != '' )
      {
         $cats[$count]['news_href'] = '<a href="' . $cats[$count]['news_url'] . '" border="0">' . $cats[$count]['news_image_link'] . '</a>';
      }

      while( $count < count( $cats ) && list( $k, $v ) = each( $cats[$count] ) )
      {
         $cat_vars[strtoupper($k)] = $v;
      }

      $cat_vars['ROW_CLASS'] = $row_class;

      $template->assign_block_vars('catrow.catitem', $cat_vars);

      $count++;
   }
}
}

//
// Fetch Poll
//
$fetchpoll = phpbb_fetch_poll($CFG['poll_forum']);

if (!empty($fetchpoll))
{
   $template->assign_vars(array(
      'S_POLL_QUESTION' => $fetchpoll['vote_text'],
      'S_POLL_ACTION' => append_sid('posting.'.$phpEx.'?'.POST_TOPIC_URL.'='.$fetchpoll['topic_id']),
      'S_TOPIC_ID' => $fetchpoll['topic_id'],
      'L_SUBMIT_VOTE' => $lang['Submit_vote'],
      'L_LOGIN_TO_VOTE' => $lang['Login_to_vote']
      )
   );

   for ($i = 0; $i < count($fetchpoll['options']); $i++)
   {
      $template->assign_block_vars('poll_option_row', array(
         'OPTION_ID' => $fetchpoll['options'][$i]['vote_option_id'],
         'OPTION_TEXT' => $fetchpoll['options'][$i]['vote_option_text'],
         'VOTE_RESULT' => $fetchpoll['options'][$i]['vote_result'],
         )
      );
   }
}
else
{
   $template->assign_vars(array(
      'S_POLL_QUESTION' => $lang['No_poll'],
      'DISABLED' => 'disabled="disabled"'
      )
   );
}
//
// Q_links
//
$sql = "SELECT * FROM " . Q_LINKS . " ORDER BY name";
if (!$result = $db->sql_query($sql))
{
	message_die(GENERAL_ERROR, 'Could not query Q_Link', '', __LINE__, __FILE__, $sql);
}

while ($row = $db->sql_fetchrow($result))
{
	$template->assign_block_vars('q_link', array(
		'QL_NAME' => $row['name'],
		'QL_URL' => $row['url'],
		'QL_IMAGE' => $row['image'])
	);
}

$template->assign_vars(array(
	'QL_GO' => '<a href="javascript:void(0);" onclick="scroll_minibanners.start(); scroll_minibanners.scrollAmount=2;"><img src="images/q_links/icon_up.gif" border="0" alt="Go"></a>&nbsp;',
	'QL_SPEED' => '<a href="javascript:void(0);" onclick="scroll_minibanners.start(); scroll_minibanners.scrollAmount=5;"><img src="images/q_links/icon_fast.gif" border="0" alt="Speed"></a>&nbsp;',
	'QL_SLOW' => '<a href="javascript:void(0);" onclick="scroll_minibanners.start(); scroll_minibanners.scrollAmount=1;"><img src="images/q_links/icon_slow.gif" border="0" alt="Slow"></a>&nbsp;',
	'QL_STOP' => '<a href="javascript:void(0);" onclick="scroll_minibanners.stop()"><img src="images/q_links/icon_stop.gif" border="0" alt="Stop"></a>')
);

//
// Generate the page
//
$template->pparse('body');

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

?>