######################################################
## CBACK Orion v2 Update / Upgrade Dump (UPDATES)   ##
######################################################

ALTER TABLE `orion_themes` ADD `fontcolor4` VARCHAR (6);
ALTER TABLE `orion_themes_name` ADD `fontcolor4_name` CHAR (50);
ALTER TABLE `orion_users` ADD `user_calendar_perm` tinyint(1) unsigned NOT NULL default '0',
ADD `user_popup_notes` tinyint(1) default '0',
ADD `user_realname` varchar(255) default NULL,
ADD `user_lastlogon` int(11) NOT NULL default '0',
ADD `user_totaltime` int(11) default '0',
ADD `user_totallogon` int(11) default '0',
ADD `user_totalpages` int(11) default '0',
ADD `user_birthday` int(11) NOT NULL default '999999',
ADD `user_next_birthday_greeting` int(11) NOT NULL default '0',
ADD `user_gender` tinyint(4) NOT NULL default '0',
ADD `user_absence` TINYINT ( 1 ) DEFAULT '0' NOT NULL,
ADD `user_absence_mode` MEDIUMINT ( 8 ) DEFAULT '0' NOT NULL,
ADD `user_absence_text` TEXT NOT NULL,
ADD `user_traffic` INT(255) DEFAULT '0';
ALTER TABLE `orion_users` ADD `user_traffic` INT(255) DEFAULT '0';
ALTER TABLE `orion_groups` ADD `group_calendar_perm` tinyint(1) unsigned NOT NULL default '0';
UPDATE `orion_config` set `config_value` = '3' where `config_name` = 'default_style';

ALTER TABLE `orion_groups` ADD COLUMN group_dl_auto_traffic BIGINT(20) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_groups` DROP COLUMN group_dl_permission;
ALTER TABLE `orion_users` ADD COLUMN user_traffic BIGINT(20) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_users` ADD COLUMN user_allow_new_download_popup TINYINT(1) DEFAULT '1' NOT NULL;
ALTER TABLE `orion_users` ADD COLUMN user_allow_new_download_email TINYINT(1) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_users` ADD COLUMN user_dl_update_time INT( 11 ) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_users` ADD COLUMN user_new_download TINYINT(1) DEFAULT '0' NOT NULL;


ALTER TABLE `orion_topics` ADD `news_id` INT UNSIGNED DEFAULT '0' NOT NULL;
ALTER TABLE `orion_topics` ADD INDEX (`news_id`);
ALTER TABLE `orion_topics` ADD `topic_attachment` TINYINT(1) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_forums` ADD `auth_news` TINYINT(2) DEFAULT '2' NOT NULL;
ALTER TABLE `orion_forums` ADD `auth_download` TINYINT(2) DEFAULT '1' NOT NULL;
ALTER TABLE `orion_auth_access` ADD `auth_news` TINYINT(1) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_topics` ADD `topic_attachment` tinyint(1) NOT NULL default '0';
ALTER TABLE `orion_auth_access` ADD `auth_download` tinyint(1) NOT NULL default '0';

#
# Absence Mod
#
ALTER TABLE `orion_users` ADD `user_absence` TINYINT ( 1 ) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_users` ADD user_absence_mode MEDIUMINT ( 8 ) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_users` ADD user_absence_text TEXT NOT NULL;

#
# Flagmod
#

ALTER TABLE `orion_users` ADD `user_from_flag` varchar(25) NULL;

#
# Realname Mod
#

ALTER TABLE `orion_users` ADD `user_realname` VARCHAR(255);

#
# Topic Description Mod
#

ALTER TABLE `orion_topics` ADD `topic_desc` varchar(255) DEFAULT '' AFTER `topic_title`;

#
# Birthday Mod
#

ALTER TABLE `orion_users` ADD `user_birthday` INT DEFAULT "999999" not null;
ALTER TABLE `orion_users` ADD `user_next_birthday_greeting` INT DEFAULT "0" not null;

#
# Gender Mod
#

ALTER TABLE `orion_users` ADD `user_gender` TINYINT DEFAULT "0" not null;

#
# Forum Passwort Mod
#

ALTER TABLE `orion_forums` ADD `forum_password` varchar(20) NOT NULL DEFAULT "";

#
# Global Announce Mod
#

ALTER TABLE `orion_forums` ADD `auth_globalannounce` TINYINT (2) DEFAULT "3" NOT NULL AFTER `auth_announce`;
ALTER TABLE `orion_auth_access` ADD `auth_globalannounce` TINYINT (1) not null AFTER `auth_announce`;

#
# Calendar Lite Mod
#

ALTER TABLE `orion_groups` ADD `group_calendar_perm` DEFAULT '1' tinyint(1);

ALTER TABLE `orion_users` ADD `user_calendar_perm` TINYINT (1) DEFAULT '1' AFTER `user_newpasswd`;

#
# Calendar Updater Mod
#

ALTER TABLE `orion_calendar` ADD `user_id` mediumint(1) DEFAULT '-1' NOT NULL;
ALTER TABLE `orion_calendar` ADD `valid char`(3) DEFAULT 'no' NOT NULL;
ALTER TABLE `orion_calendar` ADD `eventspan` date;
ALTER TABLE `orion_calendar` ADD `bbcode_uid` varchar(10);

#
# Personal Notes Mod
#


ALTER TABLE `orion_users` ADD `user_popup_notes` TINYINT(1) DEFAULT '0';

#
# Lastlogon Mod
#

ALTER TABLE `orion_users` ADD `user_lastlogon` INT (11) DEFAULT "0" not null;
ALTER TABLE `orion_users` ADD `user_totaltime` INT (11) DEFAULT "0";
ALTER TABLE `orion_users` ADD `user_totallogon` INT (11) DEFAULT "0";
ALTER TABLE `orion_users` ADD `user_totalpages` INT (11) DEFAULT "0";
ALTER TABLE `orion_sessions` ADD COLUMN `session_admin` tinyint(2) DEFAULT '0' NOT NULL;

#
# Tabellenstruktur fr Tabelle `orion_links`
#

#
# Inserts
#
INSERT INTO `orion_link_categories` VALUES (1, 'Arts', 1);
INSERT INTO `orion_link_categories` VALUES (2, 'Business', 2);
INSERT INTO `orion_link_categories` VALUES (3, 'Children and Teens', 3);
INSERT INTO `orion_link_categories` VALUES (4, 'Computers', 4);
INSERT INTO `orion_link_categories` VALUES (5, 'Games', 5);
INSERT INTO `orion_link_categories` VALUES (6, 'Health', 6);
INSERT INTO `orion_link_categories` VALUES (7, 'Home', 7);
INSERT INTO `orion_link_categories` VALUES (8, 'News', 8);
INSERT INTO `orion_links` VALUES (1, 'CBACK.DE', 'Official Orion Website', 4, 'http://www.cback.de/', 'images/links/cback.jpg', ".time().", 1, 0, 2, '', '');
INSERT INTO `orion_link_config` (config_name, config_value) VALUES ('site_logo', 'http://www.cback.de/cback_de/bilder/banner/button_4.jpg');
INSERT INTO `orion_link_config` (config_name, config_value) VALUES ('site_url', 'http://www.cback.de');
INSERT INTO `orion_link_config` (config_name, config_value) VALUES ('width', '88');
INSERT INTO `orion_link_config` (config_name, config_value) VALUES ('height', '31');
INSERT INTO `orion_link_config` (config_name, config_value) VALUES ('linkspp', '10');
INSERT INTO `orion_link_config` (config_name, config_value) VALUES ('display_interval', '6000');
INSERT INTO `orion_link_config` (config_name, config_value) VALUES ('display_logo_num', '10');
INSERT INTO `orion_link_config` (config_name, config_value) VALUES ('display_links_logo', '1');
INSERT INTO `orion_link_config` (config_name, config_value) VALUES ('email_notify', '1');
INSERT INTO `orion_link_config` (config_name, config_value) VALUES ('pm_notify ', '0');
INSERT INTO `orion_link_config` (config_name, config_value) VALUES ('lock_submit_site', '0');
INSERT INTO `orion_link_config` (config_name, config_value) VALUES ('allow_no_logo', '0');

#
# Disable Reg Mod
#

INSERT INTO `orion_config` ( `config_name` , `config_value` ) VALUES ('disable_reg', '0');
INSERT INTO `orion_config` ( `config_name` , `config_value` ) VALUES ('disable_reg_msg', 'Registration has been disabled');

#
# Flagmod
#

INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'usa', 'usa.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'afghanistan', 'afghanistan.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'albania', 'albania.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'algeria', 'algeria.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'andorra', 'andorra.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'angola', 'angola.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'antigua and barbuda', 'antiguabarbuda.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'argentina', 'argentina.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'armenia', 'armenia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'australia', 'australia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'austria', 'austria.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'azerbaijan', 'azerbaijan.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'bahamas', 'bahamas.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'bahrain', 'bahrain.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'bangladesh', 'bangladesh.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'barbados', 'barbados.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'belarus', 'belarus.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'belgium', 'belgium.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'belize', 'belize.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'benin', 'benin.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'bhutan', 'bhutan.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'bolivia', 'bolivia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'bosnia herzegovina', 'bosnia_herzegovina.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'botswana', 'botswana.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'brazil', 'brazil.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'brunei', 'brunei.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'bulgaria', 'bulgaria.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'burkinafaso', 'burkinafaso.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'burma', 'burma.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'burundi', 'burundi.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'cambodia', 'cambodia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'cameroon', 'cameroon.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'canada', 'canada.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'central african rep', 'centralafricanrep.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'chad', 'chad.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'chile', 'chile.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'china', 'china.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'columbia', 'columbia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'comoros', 'comoros.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'congo', 'congo.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'costarica', 'costarica.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'croatia', 'croatia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'cuba', 'cuba.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'cyprus', 'cyprus.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'czech republic', 'czechrepublic.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'demrepcongo', 'demrepcongo.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'denmark', 'denmark.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'djibouti', 'djibouti.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'dominica', 'dominica.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'dominican rep', 'dominicanrep.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'ecuador', 'ecuador.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'egypt', 'egypt.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'elsalvador', 'elsalvador.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'eq guinea', 'eq_guinea.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'eritrea', 'eritrea.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'estonia', 'estonia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'ethiopia', 'ethiopia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'fiji', 'fiji.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'finland', 'finland.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'france', 'france.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'gabon', 'gabon.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'gambia', 'gambia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'georgia', 'georgia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'germany', 'germany.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'ghana', 'ghana.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'greece', 'greece.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'grenada', 'grenada.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'grenadines', 'grenadines.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'guatemala', 'guatemala.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'guinea', 'guinea.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'guineabissau', 'guineabissau.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'guyana', 'guyana.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'haiti', 'haiti.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'honduras', 'honduras.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'hong kong', 'hong_kong.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'hungary', 'hungary.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'iceland', 'iceland.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'india', 'india.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'indonesia', 'indonesia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'iran', 'iran.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'iraq', 'iraq.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'ireland', 'ireland.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'israel', 'israel.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'italy', 'italy.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'ivory coast', 'ivorycoast.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'jamaica', 'jamaica.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'japan', 'japan.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'jordan', 'jordan.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'kazakhstan', 'kazakhstan.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'kenya', 'kenya.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'kiribati', 'kiribati.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'kuwait', 'kuwait.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'kyrgyzstan', 'kyrgyzstan.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'laos', 'laos.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'latvia', 'latvia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'lebanon', 'lebanon.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'liberia', 'liberia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'libya', 'libya.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'liechtenstein', 'liechtenstein.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'lithuania', 'lithuania.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'luxembourg', 'luxembourg.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'macadonia', 'macadonia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'macau', 'macau.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'madagascar', 'madagascar.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'malawi', 'malawi.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'malaysia', 'malaysia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'maldives', 'maldives.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'mali', 'mali.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'malta', 'malta.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'mauritania', 'mauritania.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'mauritius', 'mauritius.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'mexico', 'mexico.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'micronesia', 'micronesia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'moldova', 'moldova.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'monaco', 'monaco.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'mongolia', 'mongolia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'morocco', 'morocco.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'mozambique', 'mozambique.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'namibia', 'namibia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'nauru', 'nauru.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'nepal', 'nepal.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'neth antilles', 'neth_antilles.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'netherlands', 'netherlands.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'new zealand', 'newzealand.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'nicaragua', 'nicaragua.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'niger', 'niger.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'nigeria', 'nigeria.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'north korea', 'north_korea.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'norway', 'norway.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'oman', 'oman.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'pakistan', 'pakistan.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'panama', 'panama.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'papua newguinea', 'papuanewguinea.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'paraguay', 'paraguay.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'peru', 'peru.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'philippines', 'philippines.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'poland', 'poland.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'portugal', 'portugal.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'puertorico', 'puertorico.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'qatar', 'qatar.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'rawanda', 'rawanda.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'romania', 'romania.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'russia', 'russia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'sao tome', 'sao_tome.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'saudiarabia', 'saudiarabia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'senegal', 'senegal.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'serbia', 'serbia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'seychelles', 'seychelles.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'sierraleone', 'sierraleone.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'singapore', 'singapore.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'slovakia', 'slovakia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'slovenia', 'slovenia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'solomon islands', 'solomon_islands.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'somalia', 'somalia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'south_korea', 'south_korea.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'south africa', 'southafrica.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'spain', 'spain.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'srilanka', 'srilanka.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'stkitts nevis', 'stkitts_nevis.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'stlucia', 'stlucia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'sudan', 'sudan.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'suriname', 'suriname.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'sweden', 'sweden.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'switzerland', 'switzerland.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'syria', 'syria.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'taiwan', 'taiwan.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'tajikistan', 'tajikistan.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'tanzania', 'tanzania.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'thailand', 'thailand.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'togo', 'togo.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'tonga', 'tonga.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'trinidad and tobago', 'trinidadandtobago.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'tunisia', 'tunisia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'turkey', 'turkey.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'turkmenistan', 'turkmenistan.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'tuvala', 'tuvala.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'uae', 'uae.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'uganda', 'uganda.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'uk', 'uk.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'ukraine', 'ukraine.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'uruguay', 'uruguay.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'ussr', 'ussr.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'uzbekistan', 'uzbekistan.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'vanuatu', 'vanuatu.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'venezuela', 'venezuela.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'vietnam', 'vietnam.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'western samoa', 'western_samoa.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'yemen', 'yemen.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'yugoslavia', 'yugoslavia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'zaire', 'zaire.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'zambia', 'zambia.gif');
INSERT INTO `orion_flags` (`flag_id`, `flag_name`, `flag_image`) VALUES ('', 'zimbabwe', 'zimbabwe.gif');

#
# Realname Mod
#

INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ('allow_realnamechange', '1');

#
# Vistitcounter Mod
#

INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ('visit_counter', '1');

#
# Calendar Lite Mod
#

INSERT INTO `orion_cal_config` (`config_name`, `config_value`) VALUES ('week_start', '0');
INSERT INTO `orion_cal_config` (`config_name`, `config_value`) VALUES ('subject_length', '14');
INSERT INTO `orion_cal_config` (`config_name`, `config_value`) VALUES ('allow_anon', '0');
INSERT INTO `orion_cal_config` (`config_name`, `config_value`) VALUES ('allow_old', '0');
INSERT INTO `orion_cal_config` (`config_name`, `config_value`) VALUES ('show_headers', '0');
INSERT INTO `orion_cal_config` (`config_name`, `config_value`) VALUES ('cal_dateformat', '');
INSERT INTO `orion_cal_config` (`config_name`, `config_value`) VALUES ('allow_user_default', '1');

#
# Birthday Calendar Mod
#

INSERT INTO `orion_cal_config` (`config_name`, `config_value`) VALUES ('show_birthdays', '0');

#
# Event Calendar Mod
#

INSERT INTO `orion_cal_config` (`config_name`, `config_value`) VALUES ('number_events', '10');
INSERT INTO `orion_cal_config` (`config_name`, `config_value`) VALUES ('day_number', '1');

#
# Birthday Mod
#

INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ("birthday_required", "0");
INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ("birthday_greeting", "1");
INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ("max_user_age", "100");
INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ("min_user_age", "5");
INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ("birthday_check_day", "7");

#
# Disable Msg Mod
#

INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ("disable_msg", "Gib hier die Offline Message ein.");

#
# Personal Notes Mod
#

INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ('notes', '20');

#
# Lastlogon Mod
#

UPDATE `orion_users` SET `user_lastlogon`=`user_lastvisit` WHERE `user_lastlogon`="0";
ALTER TABLE `orion_users` ADD `user_skype` VARCHAR( 255 );
INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ("hidde_last_logon", "0");
UPDATE `orion_users` SET `user_totaltime`=(`user_session_time`-`user_lastlogon`) WHERE `user_totaltime`="0" AND `user_lastlogon`>"0";
UPDATE `orion_users` SET `user_totallogon`=1 WHERE `user_totallogon`="0" AND `user_session_time`<>"0";

#
#Abcence Mod
#

INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ('users_allow_absence', 0);
INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ('mod_able_sent_absent', 0);
INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ('absent_button', 1);


#
# Orion Config, fehlende Werte
#
INSERT IGNORE INTO `orion_config` (`config_name`, `config_value`) VALUES ('config_id', '1'),
('board_disable', '0'),
('sitename', 'CBACK Orion 2.x'),
('site_desc', 'The powerful premodded from www.cback.de'),
('cookie_name', 'ts0f72vr2mysql'),
('cookie_path', '/'),
('cookie_domain', ''),
('cookie_secure', '0'),
('session_length', '3600'),
('allow_html', '0'),
('allow_html_tags', 'b,i,u,pre'),
('allow_bbcode', '1'),
('allow_smilies', '1'),
('allow_sig', '1'),
('allow_namechange', '0'),
('allow_theme_create', '0'),
('allow_avatar_local', '1'),
('allow_avatar_remote', '1'),
('allow_avatar_upload', '1'),
('enable_confirm', '1'),
('override_user_style', '1'),
('posts_per_page', '14'),
('topics_per_page', '24'),
('hot_threshold', '24'),
('max_poll_options', '10'),
('max_sig_chars', '255'),
('max_inbox_privmsgs', '50'),
('max_sentbox_privmsgs', '25'),
('max_savebox_privmsgs', '50'),
('board_email_sig', 'Danke, das Forum-Team'),
('smtp_delivery', '0'),
('smtp_host', ''),
('smtp_username', ''),
('smtp_password', ''),
('sendmail_fix', '0'),
('require_activation', '0'),
('flood_interval', '10'),
('board_email_form', '1'),
('avatar_filesize', '66144'),
('avatar_max_width', '120'),
('avatar_max_height', '120'),
('avatar_path', 'images/avatars'),
('avatar_gallery_path', 'images/avatars/gallery'),
('smilies_path', 'images/smiles'),
('default_style', '3'),
('default_dateformat', 'd.m.Y, H:i'),
('board_timezone', '1'),
('prune_enable', '0'),
('privmsg_disable', '0'),
('gzip_compress', '0'),
('coppa_fax', ''),
('coppa_mail', ''),
('record_online_users', '1'),
('record_online_date', '1128724035'),
('script_path', '/'),
('version', '.0.20'),
('orionver', '2.3.1'),
('default_lang', 'german'),
('disable_reg', '0'),
('disable_reg_msg', 'Registrieren zur Zeit nicht moeglich!'),
('birthday_required', '0'),
('birthday_greeting', '1'),
('max_user_age', '100'),
('min_user_age', '6'),
('birthday_check_day', '4'),
('allow_news', '1'),
('news_item_trim', '0'),
('news_title_trim', '0'),
('news_item_num', '10'),
('news_path', 'images/news'),
('allow_rss', '1'),
('news_rss_desc', ''),
('news_rss_language', 'en_us'),
('news_rss_ttl', '60'),
('news_rss_cat', ''),
('news_rss_image', ''),
('news_rss_image_desc', ''),
('news_rss_item_count', '15'),
('news_rss_show_abstract', '1'),
('news_base_url', ''),
('news_index_file', 'news_index.php'),
('disable_msg', 'Das Board ist zur Zeit deaktiviert! Bitte versuche es spaeter noch einmal!'),
('rdfc', '6'),
('rdff', '1'),
('visit_counter', '2'),
('notes', '20'),
('allow_realnamechange', '1'),
('hidde_last_logon', '0'),
('users_allow_absence', '0'),
('mod_able_sent_absent', '0'),
('absent_button', '1'),
('board_startdate', '1129674707'),
('server_name', 'localhost/orion'),
('board_email', 'info@cback.de'),
('server_port', '80'),
('dbmtnc_rebuild_end', '0'),
('dbmtnc_rebuild_pos', '-1'),
('dbmtnc_rebuildcfg_maxmemory', '500'),
('dbmtnc_rebuildcfg_minposts', '3'),
('dbmtnc_rebuildcfg_php3only', '0'),
('dbmtnc_rebuildcfg_php3pps', '1'),
('dbmtnc_rebuildcfg_php4pps', '8'),
('dbmtnc_rebuildcfg_timelimit', '240'),
('dbmtnc_rebuildcfg_timeoverwrite', '0'),
('dbmtnc_disallow_postcounter', '1'),
('dbmtnc_disallow_rebuild', '0'),
('bbc_box_on', '1'),
('bbc_advanced', '1'),
('bbc_per_row', '14'),
('bbc_time_regen', '1128854540'),
('bbc_style_path', 'default'),
('xs_auto_compile', '1'),
('xs_auto_recompile', '1'),
('xs_use_cache', '1'),
('xs_php', 'php'),
('xs_def_template', 'cback'),
('xs_check_switches', '1'),
('xs_warn_includes', '1'),
('xs_add_comments', '0'),
('xs_ftp_host', ''),
('xs_ftp_login', ''),
('xs_ftp_path', ''),
('xs_downloads_count', '0'),
('xs_downloads_default', '0'),
('xs_shownav', '3839'),
('xs_template_time', '1129040541'),
('xs_version', '8'),
('c_profiler', '0');


#
# Dumping data added for Orion 2.0.1 (phpBB 2.0.18)
#
INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ('allow_autologin','1');
INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ('max_autologin_time','0');
UPDATE `orion_users` SET `user_active` = 0 WHERE `user_id` = -1;

#
# Dumping data added for Orion 2.0.2 (Attachment Mod Error Prevention)
#
ALTER TABLE `orion_forums` ADD `auth_download` TINYINT(2) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_auth_access` ADD `auth_download` TINYINT(1) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_posts` ADD `post_attachment` TINYINT(1) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_topics` ADD `topic_attachment` TINYINT(1) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_privmsgs` ADD `privmsgs_attachment` TINYINT(1) DEFAULT '0' NOT NULL;

#
# Dumping data added for Orion 2.0.4 (CrackerTracker Professional 2nd Edition) & new Attachment MOD
#
ALTER TABLE `orion_attachments` ADD INDEX (`post_id`);
ALTER TABLE `orion_attachments` ADD INDEX (`privmsgs_id`);

#
# Added in Orion 2.0.5
#
ALTER TABLE `orion_bbc_box` ADD `bbc_order mediumint`(8) DEFAULT '1' NOT NULL AFTER `bbc_divider`;

#
# Added in Orion 2.0.6
#
ALTER TABLE `orion_forums` ADD `forum_icon` VARCHAR(255) DEFAULT NULL;
ALTER TABLE `orion_forums` ADD `forum_parent` INT NOT NULL DEFAULT '0';
ALTER TABLE `orion_groups` ADD COLUMN `group_dl_auto_traffic` BIGINT(20) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_groups` DROP COLUMN `group_dl_permission`;
ALTER TABLE `orion_users` ADD COLUMN `user_traffic` BIGINT(20) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_users` ADD COLUMN `user_allow_new_download_popup` TINYINT(1) DEFAULT '1' NOT NULL;
ALTER TABLE `orion_users` ADD COLUMN `user_allow_new_download_email` TINYINT(1) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_users` ADD COLUMN `user_dl_update_time` INT( 11 ) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_users` ADD COLUMN `user_new_download` TINYINT(1) DEFAULT '0' NOT NULL;


#
# Dumping data added for Orion 2.0.8 (phpBB 2.0.19)
#
ALTER TABLE `orion_users` ADD COLUMN `user_login_tries` smallint(5) UNSIGNED DEFAULT '0' NOT NULL;
ALTER TABLE `orion_users` ADD COLUMN `user_last_login_try` int(11) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_users` ADD `ct_logintry` INT( 2 ) DEFAULT 0 AFTER `user_newpasswd`;
INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ('max_login_attempts', '200');
INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ('login_reset_time', '4');

#
# Dumping data added for Orion 2.2.0
#
ALTER TABLE `orion_downloads` ADD COLUMN `down_user` MEDIUMINT(8) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_downloads_cat` ADD COLUMN `statistics` TINYINT(1) DEFAULT '1' NOT NULL;
ALTER TABLE `orion_downloads_cat` ADD COLUMN `stats_prune` MEDIUMINT(8) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_downloads_cat` ADD COLUMN `comments` TINYINT(1) DEFAULT '1' NOT NULL;

INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('guest_stats_show', '1');

UPDATE `orion_downloads` SET `down_user` = 2;

CREATE TABLE `orion_dl_stats` (
  `dl_id` bigint(20) unsigned NOT NULL auto_increment,
  `id` int(11) NOT NULL default '0',
  `cat_id` int(11) NOT NULL default '0',
  `user_id` mediumint(8) NOT NULL default '0',
  `username` varchar(32) NOT NULL default '',
  `traffic` bigint(20) NOT NULL default '0',
  `direction` tinyint(1) NOT NULL default '0',
  `user_ip` varchar(8) NOT NULL default '',
  `browser` varchar(20) NOT NULL default '',
  `time_stamp` int(11) NOT NULL default '0',
PRIMARY KEY  (`dl_id`)
);

CREATE TABLE `orion_dl_comments` (
  `dl_id` bigint(20) unsigned NOT NULL auto_increment,
  `id` int(11) NOT NULL default '0',
  `cat_id` int(11) NOT NULL default '0',
  `user_id` mediumint(8) NOT NULL default '0',
  `username` varchar(32) NOT NULL default '',
  `comment_time` int(11) NOT NULL default '0',
  `comment_edit_time` int(11) NOT NULL default '0',
  `comment_text` text NOT NULL default '', 
  `bbcode_uid` varchar(10) NOT NULL default '',
PRIMARY KEY (`dl_id`)
);

#
# Dumping data added for Orion 2.2.2
#
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('dl_method', '2');
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('dl_method_quota', '2097152');
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('dl_stats_perm', '0');

#
# Dumping data added for Orion 2.2.4
#
INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ('search_flood_interval', '0');
INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ('rand_seed', '0');
DELETE FROM `orion_sessions`;
DELETE FROM `orion_sessions_keys`;
INSERT INTO `orion_captcha_config` VALUES ('jpeg', '0');
INSERT INTO `orion_captcha_config` VALUES ('jpeg_quality', '50');
INSERT INTO `orion_captcha_config` VALUES ('font', '0');
INSERT INTO `orion_captcha_config` VALUES ('lattice_color', '#FFFFFF');
ALTER TABLE `orion_search_results` ADD COLUMN `search_time` int(11) DEFAULT '0' NOT NULL;

#
# Dumping data added for Orion 2.3.1
#
ALTER TABLE `orion_downloads` ADD COLUMN `thumbnail` VARCHAR(255) DEFAULT '' NOT NULL;
ALTER TABLE `orion_downloads_cat` ADD COLUMN `cat_traffic` BIGINT(20) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_downloads_cat` ADD COLUMN `cat_traffic_use` BIGINT(20) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_downloads_cat` ADD COLUMN `allow_thumbs` TINYINT(1) DEFAULT '0' NOT NULL;
ALTER TABLE `orion_downloads_cat` ADD COLUMN `auth_cread` TINYINT(1) NOT NULL DEFAULT '0';
ALTER TABLE `orion_downloads_cat` ADD COLUMN `auth_cpost` TINYINT(1) NOT NULL DEFAULT '1';
ALTER TABLE `orion_downloads_cat` ADD COLUMN `approve_comments` TINYINT(1) NOT NULL DEFAULT '1';
ALTER TABLE `orion_dl_comments` ADD COLUMN `approve` TINYINT(1) NOT NULL default '0';
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('dl_mod_version', '5.0.6');
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('use_hacklist', '1');
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('thumb_fsize', '0');
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('thumb_xsize', '0');
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('thumb_ysize', '0');


#
# Dumping data added for Orion 2.3.2
#
INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ('search_min_chars', '3');
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('show_footer_legend', '1');
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('show_footer_stat', '1');
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('limit_desc_on_index', '0');

#
# Dumping data added for Orion 2.3.4
#
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('use_ext_blacklist', '1');
CREATE TABLE `orion_dl_ext_blacklist` (`extention` VARCHAR(10) DEFAULT '' NOT NULL);
INSERT INTO `orion_dl_ext_blacklist` (`extention`) VALUES ('asp'), ('cgi'), ('dhtm'), ('dhtml'), ('exe'), ('htm'), ('html'), ('jar'), ('js'), ('php'), ('php3'), ('pl'), ('sh'), ('shtm'), ('shtml');
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('disable_popup_notify', '0');

#
# Dumping data added for Orion v2.4.0
#
INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ('wwd_record_users', '0');
INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ('wwd_record_time', '0');
INSERT INTO `orion_config` (`config_name`, `config_value`) VALUES ('wwd_counter_date', '20060717');
ALTER TABLE `orion_users` ADD COLUMN `user_allow_fav_download_email` TINYINT(1) DEFAULT '1' NOT NULL;
ALTER TABLE `orion_users` ADD COLUMN `user_allow_fav_download_popup` TINYINT(1) DEFAULT '1' NOT NULL;
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('prevent_hotlink', '1');
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('hotlink_action', '1');
UPDATE `orion_dl_config` SET `config_name` = 'report_broken' WHERE `config_name` = 'guest_report_broken';
ALTER TABLE `orion_downloads` CHANGE COLUMN `todo` `todo` TEXT NOT NULL;
ALTER TABLE `orion_downloads_cat` ADD COLUMN `rules` TEXT NULL DEFAULT '' AFTER `description`;
ALTER TABLE `orion_dl_hotlink` ADD COLUMN `code` VARCHAR(5) DEFAULT '' NOT NULL;
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('report_broken_lock', '1');
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('report_broken_message', '1');
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('report_broken_vc', '1');
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('download_vc', '1');
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('edit_own_downloads', '1');
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('shorten_extern_links', '10');

#
# Dumping data added for Orion v2.4.5
#
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('icon_free_for_reg', '0');
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('latest_comments', '1');
ALTER TABLE `orion_users` ADD COLUMN `user_dl_note_type` TINYINT(1) NULL DEFAULT '1';
ALTER TABLE `orion_users` ADD COLUMN `user_dl_sort_fix` TINYINT(1) NULL DEFAULT '0';
ALTER TABLE `orion_users` ADD COLUMN `user_dl_sort_opt` TINYINT(1) NULL DEFAULT '0';
ALTER TABLE `orion_users` ADD COLUMN `user_dl_sort_dir` TINYINT(1) NULL DEFAULT '0';
INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('sort_preform', '0');
ALTER TABLE `orion_downloads_cat` ADD COLUMN `bug_tracker` TINYINT(1) NOT NULL DEFAULT '0';

CREATE TABLE `orion_dl_bug_tracker` (
  `report_id` INT(11) AUTO_INCREMENT NOT NULL,
  `df_id` INT(11) NOT NULL DEFAULT '0',
  `report_title` VARCHAR(255) DEFAULT '',
  `report_text` TEXT,
  `report_uid` VARCHAR(10) DEFAULT '',
  `report_file_ver` VARCHAR(50) DEFAULT '',
  `report_date` INT(11) DEFAULT '0',
  `report_author_id` MEDIUMINT(8) DEFAULT 0 NOT NULL,
  `report_assign_id` MEDIUMINT(8) DEFAULT 0 NOT NULL,
  `report_assign_date` INT(11) DEFAULT '0',
  `report_status` TINYINT(1) DEFAULT '0' NOT NULL,
  `report_status_date` INT(11) DEFAULT '0',
  `report_php` VARCHAR(50) DEFAULT '',
  `report_db` VARCHAR(50) DEFAULT '',
  `report_forum` VARCHAR(50) DEFAULT '',
PRIMARY KEY (`report_id`));

CREATE TABLE `orion_dl_bug_history` (
  `report_his_id` INT(11) AUTO_INCREMENT NOT NULL,
  `df_id` INT(11) NOT NULL DEFAULT '0',
  `report_id` INT(11) NOT NULL,
  `report_his_type` VARCHAR(10) DEFAULT '',
  `report_his_date` INT(11) DEFAULT '0',
  `report_his_value` VARCHAR(255),
PRIMARY KEY (`report_his_id`));

INSERT INTO `orion_dl_config` (`config_name`, `config_value`) VALUES ('dl_direct', '0');