//**************************************************************************
//                           ajax_pollfunctions.js
//                            -------------------
//   begin                : Wednesday, Jul 12, 2006
//   copyright            : (C) 2005 alcaeus / 2006 OXPUS
//   email                : mods@alcaeus.org / webmaster@oxpus.de
//
//   $Id: ajax_pollfunctions.js,v 1.0 2006/07/12 15:48:00 oxpus Exp $
//
//**************************************************************************

//**************************************************************************
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//**************************************************************************

function AJAXPollOptionAdd()
{
	if (!ajax_core_defined)
	{
		return;
	}

	var option_block = getElementById('ajax_poll_options');
	var new_poll_option_text = getElementById('new_poll_option_text');
	var existing_rows = option_block.rows.length;
	var no_more_option = '';

	if ((option_block == null) || (new_poll_option_text == null))
	{
		if (AJAX_DEBUG_HTML_ERRORS)
		{
			alert('AJAXPollOptionAdd: some HTML elements could not be found');
		}
		return;
	}

	if (new_poll_option_text.value == '')
	{
		return false;
	}

	if (existing_rows < poll_max_options)
	{
		var new_option_row = option_block.insertRow(existing_rows);
		var new_option_text = new_option_row.insertCell(0);
		var new_option_value = new_option_row.insertCell(1);

		//
		// The insert text. Modify this to fit it to template
		//
		new_option_text.className = 'row1';
		new_option_value.className = 'row2';

		new_option_text.innerHTML = '<span class="gen"><b>' + l_poll_option + '</b></span>';
		new_option_value.innerHTML = '<span class="genmed"><input type="text" name="poll_option_text[]" size="50" class="post" maxlength="255" value="' + new_poll_option_text.value + '" /></span> &nbsp;<input onclick="return AJAXPollOptionUpdate();" type="submit" name="edit_poll_option" value="' + l_poll_update + '" class="liteoption" /> <input onclick="return AJAXPollOptionDelete(this.parentNode.parentNode.rowIndex);" type="submit" name="del_poll_option[]" value="' + l_poll_delete + '" class="liteoption" />';
	}
	else
	{
		if (AJAX_DEBUG_RESULTS)
		{
			alert(l_max_poll_options);
		}
	}

	new_poll_option_text.value = '';
	new_poll_option_text.focus();
}

function AJAXPollOptionUpdate() 
{
	return false;
}

function AJAXPollOptionDelete(tablepoint)
{
	if (!ajax_core_defined)
	{
		return;
	}

	var option_block = getElementById('ajax_poll_options');
	var table = option_block.parentNode;

	if ((option_block == null) || (table == null))
	{
		if (AJAX_DEBUG_HTML_ERRORS)
		{
			alert('AJAXPollOptionDelete: some HTML elements could not be found');
		}
		return;
	}

	table.deleteRow(tablepoint);	
}
